source $stdenv/setup
header "fetching Apache Mesos maven repo"

function fetchArtifact {
  repoPath="$1"
  echo "Fetching $repoPath"
  url="https://repo.maven.apache.org/maven2/$repoPath"
  mkdir -p $(dirname $out/$repoPath)
  curl --fail --location --insecure --retry 3 --max-redirs 20 "$url" --output "$out/$repoPath"
}

fetchArtifact org/apache/apache/11/apache-11.pom
fetchArtifact org/apache/apache/11/apache-11.pom.sha1
fetchArtifact org/apache/apache/10/apache-10.pom
fetchArtifact org/apache/apache/10/apache-10.pom.sha1
fetchArtifact org/apache/apache/7/apache-7.pom
fetchArtifact org/apache/apache/7/apache-7.pom.sha1
fetchArtifact org/apache/apache/9/apache-9.pom
fetchArtifact org/apache/apache/9/apache-9.pom.sha1
fetchArtifact org/apache/apache/13/apache-13.pom
fetchArtifact org/apache/apache/13/apache-13.pom.sha1
fetchArtifact org/apache/apache/3/apache-3.pom
fetchArtifact org/apache/apache/3/apache-3.pom.sha1
fetchArtifact org/apache/apache/6/apache-6.pom
fetchArtifact org/apache/apache/6/apache-6.pom.sha1
fetchArtifact org/apache/apache/4/apache-4.pom
fetchArtifact org/apache/apache/4/apache-4.pom.sha1
fetchArtifact org/apache/apache/2/apache-2.pom
fetchArtifact org/apache/apache/2/apache-2.pom.sha1
fetchArtifact org/apache/apache/5/apache-5.pom
fetchArtifact org/apache/apache/5/apache-5.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-remote-resources-plugin/1.3/maven-remote-resources-plugin-1.3.pom
fetchArtifact org/apache/maven/plugins/maven-remote-resources-plugin/1.3/maven-remote-resources-plugin-1.3.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-remote-resources-plugin/1.3/maven-remote-resources-plugin-1.3.jar
fetchArtifact org/apache/maven/plugins/maven-remote-resources-plugin/1.3/maven-remote-resources-plugin-1.3.jar.sha1
fetchArtifact org/apache/maven/plugins/maven-plugins/22/maven-plugins-22.pom
fetchArtifact org/apache/maven/plugins/maven-plugins/22/maven-plugins-22.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-plugins/18/maven-plugins-18.pom
fetchArtifact org/apache/maven/plugins/maven-plugins/18/maven-plugins-18.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-plugins/19/maven-plugins-19.pom
fetchArtifact org/apache/maven/plugins/maven-plugins/19/maven-plugins-19.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-plugins/24/maven-plugins-24.pom
fetchArtifact org/apache/maven/plugins/maven-plugins/24/maven-plugins-24.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-site-plugin/3.1/maven-site-plugin-3.1.pom
fetchArtifact org/apache/maven/plugins/maven-site-plugin/3.1/maven-site-plugin-3.1.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-site-plugin/3.1/maven-site-plugin-3.1.jar
fetchArtifact org/apache/maven/plugins/maven-site-plugin/3.1/maven-site-plugin-3.1.jar.sha1
fetchArtifact org/apache/maven/plugins/maven-source-plugin/2.1.2/maven-source-plugin-2.1.2.pom
fetchArtifact org/apache/maven/plugins/maven-source-plugin/2.1.2/maven-source-plugin-2.1.2.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-source-plugin/2.1.2/maven-source-plugin-2.1.2.jar
fetchArtifact org/apache/maven/plugins/maven-source-plugin/2.1.2/maven-source-plugin-2.1.2.jar.sha1
fetchArtifact org/apache/maven/plugins/maven-gpg-plugin/1.4/maven-gpg-plugin-1.4.pom
fetchArtifact org/apache/maven/plugins/maven-gpg-plugin/1.4/maven-gpg-plugin-1.4.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-gpg-plugin/1.4/maven-gpg-plugin-1.4.jar
fetchArtifact org/apache/maven/plugins/maven-gpg-plugin/1.4/maven-gpg-plugin-1.4.jar.sha1
fetchArtifact org/apache/maven/plugins/maven-clean-plugin/2.5/maven-clean-plugin-2.5.pom
fetchArtifact org/apache/maven/plugins/maven-clean-plugin/2.5/maven-clean-plugin-2.5.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-clean-plugin/2.5/maven-clean-plugin-2.5.jar
fetchArtifact org/apache/maven/plugins/maven-clean-plugin/2.5/maven-clean-plugin-2.5.jar.sha1
fetchArtifact org/apache/maven/plugins/maven-resources-plugin/2.5/maven-resources-plugin-2.5.pom
fetchArtifact org/apache/maven/plugins/maven-resources-plugin/2.5/maven-resources-plugin-2.5.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-resources-plugin/2.5/maven-resources-plugin-2.5.jar
fetchArtifact org/apache/maven/plugins/maven-resources-plugin/2.5/maven-resources-plugin-2.5.jar.sha1
fetchArtifact org/apache/maven/plugins/maven-compiler-plugin/2.5.1/maven-compiler-plugin-2.5.1.pom
fetchArtifact org/apache/maven/plugins/maven-compiler-plugin/2.5.1/maven-compiler-plugin-2.5.1.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-compiler-plugin/2.5.1/maven-compiler-plugin-2.5.1.jar
fetchArtifact org/apache/maven/plugins/maven-compiler-plugin/2.5.1/maven-compiler-plugin-2.5.1.jar.sha1
fetchArtifact org/apache/maven/plugins/maven-surefire-plugin/2.12/maven-surefire-plugin-2.12.pom
fetchArtifact org/apache/maven/plugins/maven-surefire-plugin/2.12/maven-surefire-plugin-2.12.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-surefire-plugin/2.12/maven-surefire-plugin-2.12.jar
fetchArtifact org/apache/maven/plugins/maven-surefire-plugin/2.12/maven-surefire-plugin-2.12.jar.sha1
fetchArtifact org/apache/maven/plugins/maven-jar-plugin/2.4/maven-jar-plugin-2.4.pom
fetchArtifact org/apache/maven/plugins/maven-jar-plugin/2.4/maven-jar-plugin-2.4.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-jar-plugin/2.4/maven-jar-plugin-2.4.jar
fetchArtifact org/apache/maven/plugins/maven-jar-plugin/2.4/maven-jar-plugin-2.4.jar.sha1
fetchArtifact org/apache/maven/plugins/maven-javadoc-plugin/2.8.1/maven-javadoc-plugin-2.8.1.pom
fetchArtifact org/apache/maven/plugins/maven-javadoc-plugin/2.8.1/maven-javadoc-plugin-2.8.1.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-javadoc-plugin/2.8.1/maven-javadoc-plugin-2.8.1.jar
fetchArtifact org/apache/maven/plugins/maven-javadoc-plugin/2.8.1/maven-javadoc-plugin-2.8.1.jar.sha1
fetchArtifact org/apache/maven/plugins/maven-shade-plugin/2.2/maven-shade-plugin-2.2.pom
fetchArtifact org/apache/maven/plugins/maven-shade-plugin/2.2/maven-shade-plugin-2.2.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-shade-plugin/2.2/maven-shade-plugin-2.2.jar
fetchArtifact org/apache/maven/plugins/maven-shade-plugin/2.2/maven-shade-plugin-2.2.jar.sha1
fetchArtifact org/apache/maven/plugins/maven-dependency-plugin/2.8/maven-dependency-plugin-2.8.pom
fetchArtifact org/apache/maven/plugins/maven-dependency-plugin/2.8/maven-dependency-plugin-2.8.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-dependency-plugin/2.8/maven-dependency-plugin-2.8.jar
fetchArtifact org/apache/maven/plugins/maven-dependency-plugin/2.8/maven-dependency-plugin-2.8.jar.sha1
fetchArtifact org/apache/maven/maven-parent/21/maven-parent-21.pom
fetchArtifact org/apache/maven/maven-parent/21/maven-parent-21.pom.sha1
fetchArtifact org/apache/maven/maven-parent/16/maven-parent-16.pom
fetchArtifact org/apache/maven/maven-parent/16/maven-parent-16.pom.sha1
fetchArtifact org/apache/maven/maven-parent/19/maven-parent-19.pom
fetchArtifact org/apache/maven/maven-parent/19/maven-parent-19.pom.sha1
fetchArtifact org/apache/maven/maven-parent/23/maven-parent-23.pom
fetchArtifact org/apache/maven/maven-parent/23/maven-parent-23.pom.sha1
fetchArtifact org/apache/maven/maven-parent/5/maven-parent-5.pom
fetchArtifact org/apache/maven/maven-parent/5/maven-parent-5.pom.sha1
fetchArtifact org/apache/maven/maven-parent/13/maven-parent-13.pom
fetchArtifact org/apache/maven/maven-parent/13/maven-parent-13.pom.sha1
fetchArtifact org/apache/maven/maven-parent/7/maven-parent-7.pom
fetchArtifact org/apache/maven/maven-parent/7/maven-parent-7.pom.sha1
fetchArtifact org/apache/maven/maven-parent/6/maven-parent-6.pom
fetchArtifact org/apache/maven/maven-parent/6/maven-parent-6.pom.sha1
fetchArtifact org/apache/maven/maven-parent/8/maven-parent-8.pom
fetchArtifact org/apache/maven/maven-parent/8/maven-parent-8.pom.sha1
fetchArtifact org/apache/maven/maven-parent/20/maven-parent-20.pom
fetchArtifact org/apache/maven/maven-parent/20/maven-parent-20.pom.sha1
fetchArtifact org/apache/maven/maven-parent/10/maven-parent-10.pom
fetchArtifact org/apache/maven/maven-parent/10/maven-parent-10.pom.sha1
fetchArtifact org/apache/maven/maven-parent/15/maven-parent-15.pom
fetchArtifact org/apache/maven/maven-parent/15/maven-parent-15.pom.sha1
fetchArtifact org/apache/maven/maven-parent/11/maven-parent-11.pom
fetchArtifact org/apache/maven/maven-parent/11/maven-parent-11.pom.sha1
fetchArtifact org/apache/maven/maven-parent/9/maven-parent-9.pom
fetchArtifact org/apache/maven/maven-parent/9/maven-parent-9.pom.sha1
fetchArtifact org/apache/maven/surefire/surefire/2.12/surefire-2.12.pom
fetchArtifact org/apache/maven/surefire/surefire/2.12/surefire-2.12.pom.sha1
fetchArtifact org/apache/maven/surefire/surefire-booter/2.12/surefire-booter-2.12.pom
fetchArtifact org/apache/maven/surefire/surefire-booter/2.12/surefire-booter-2.12.pom.sha1
fetchArtifact org/apache/maven/surefire/surefire-booter/2.12/surefire-booter-2.12.jar
fetchArtifact org/apache/maven/surefire/surefire-booter/2.12/surefire-booter-2.12.jar.sha1
fetchArtifact org/apache/maven/surefire/surefire-api/2.12/surefire-api-2.12.pom
fetchArtifact org/apache/maven/surefire/surefire-api/2.12/surefire-api-2.12.pom.sha1
fetchArtifact org/apache/maven/surefire/surefire-api/2.12/surefire-api-2.12.jar
fetchArtifact org/apache/maven/surefire/surefire-api/2.12/surefire-api-2.12.jar.sha1
fetchArtifact org/apache/maven/surefire/maven-surefire-common/2.12/maven-surefire-common-2.12.pom
fetchArtifact org/apache/maven/surefire/maven-surefire-common/2.12/maven-surefire-common-2.12.pom.sha1
fetchArtifact org/apache/maven/surefire/maven-surefire-common/2.12/maven-surefire-common-2.12.jar
fetchArtifact org/apache/maven/surefire/maven-surefire-common/2.12/maven-surefire-common-2.12.jar.sha1
fetchArtifact org/apache/maven/maven-plugin-api/2.0.6/maven-plugin-api-2.0.6.pom
fetchArtifact org/apache/maven/maven-plugin-api/2.0.6/maven-plugin-api-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-api/2.0.6/maven-plugin-api-2.0.6.jar
fetchArtifact org/apache/maven/maven-plugin-api/2.0.6/maven-plugin-api-2.0.6.jar.sha1
fetchArtifact org/apache/maven/maven-plugin-api/2.0.1/maven-plugin-api-2.0.1.pom
fetchArtifact org/apache/maven/maven-plugin-api/2.0.1/maven-plugin-api-2.0.1.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-api/2.0/maven-plugin-api-2.0.pom
fetchArtifact org/apache/maven/maven-plugin-api/2.0/maven-plugin-api-2.0.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-api/2.0.9/maven-plugin-api-2.0.9.pom
fetchArtifact org/apache/maven/maven-plugin-api/2.0.9/maven-plugin-api-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-api/2.0.9/maven-plugin-api-2.0.9.jar
fetchArtifact org/apache/maven/maven-plugin-api/2.0.9/maven-plugin-api-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-plugin-api/3.0/maven-plugin-api-3.0.pom
fetchArtifact org/apache/maven/maven-plugin-api/3.0/maven-plugin-api-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-api/3.0/maven-plugin-api-3.0.jar
fetchArtifact org/apache/maven/maven-plugin-api/3.0/maven-plugin-api-3.0.jar.sha1
fetchArtifact org/apache/maven/maven-plugin-api/2.2.1/maven-plugin-api-2.2.1.pom
fetchArtifact org/apache/maven/maven-plugin-api/2.2.1/maven-plugin-api-2.2.1.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-api/2.0.8/maven-plugin-api-2.0.8.pom
fetchArtifact org/apache/maven/maven-plugin-api/2.0.8/maven-plugin-api-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven/2.0.6/maven-2.0.6.pom
fetchArtifact org/apache/maven/maven/2.0.6/maven-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven/2.0.1/maven-2.0.1.pom
fetchArtifact org/apache/maven/maven/2.0.1/maven-2.0.1.pom.sha1
fetchArtifact org/apache/maven/maven/2.0.8/maven-2.0.8.pom
fetchArtifact org/apache/maven/maven/2.0.8/maven-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven/2.0/maven-2.0.pom
fetchArtifact org/apache/maven/maven/2.0/maven-2.0.pom.sha1
fetchArtifact org/apache/maven/maven/2.0.9/maven-2.0.9.pom
fetchArtifact org/apache/maven/maven/2.0.9/maven-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven/3.0/maven-3.0.pom
fetchArtifact org/apache/maven/maven/3.0/maven-3.0.pom.sha1
fetchArtifact org/apache/maven/maven/2.2.1/maven-2.2.1.pom
fetchArtifact org/apache/maven/maven/2.2.1/maven-2.2.1.pom.sha1
fetchArtifact org/apache/maven/maven/2.2.0/maven-2.2.0.pom
fetchArtifact org/apache/maven/maven/2.2.0/maven-2.2.0.pom.sha1
fetchArtifact org/apache/maven/maven/2.0.2/maven-2.0.2.pom
fetchArtifact org/apache/maven/maven/2.0.2/maven-2.0.2.pom.sha1
fetchArtifact org/apache/maven/maven/2.0.5/maven-2.0.5.pom
fetchArtifact org/apache/maven/maven/2.0.5/maven-2.0.5.pom.sha1
fetchArtifact org/apache/maven/maven-model/2.0.6/maven-model-2.0.6.pom
fetchArtifact org/apache/maven/maven-model/2.0.6/maven-model-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-model/2.0.6/maven-model-2.0.6.jar
fetchArtifact org/apache/maven/maven-model/2.0.6/maven-model-2.0.6.jar.sha1
fetchArtifact org/apache/maven/maven-model/2.0/maven-model-2.0.pom
fetchArtifact org/apache/maven/maven-model/2.0/maven-model-2.0.pom.sha1
fetchArtifact org/apache/maven/maven-model/2.0.9/maven-model-2.0.9.pom
fetchArtifact org/apache/maven/maven-model/2.0.9/maven-model-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-model/2.0.9/maven-model-2.0.9.jar
fetchArtifact org/apache/maven/maven-model/2.0.9/maven-model-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-model/3.0/maven-model-3.0.pom
fetchArtifact org/apache/maven/maven-model/3.0/maven-model-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-model/3.0/maven-model-3.0.jar
fetchArtifact org/apache/maven/maven-model/3.0/maven-model-3.0.jar.sha1
fetchArtifact org/apache/maven/maven-model/2.2.1/maven-model-2.2.1.pom
fetchArtifact org/apache/maven/maven-model/2.2.1/maven-model-2.2.1.pom.sha1
fetchArtifact org/apache/maven/maven-model/2.0.8/maven-model-2.0.8.pom
fetchArtifact org/apache/maven/maven-model/2.0.8/maven-model-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven-model/2.2.0/maven-model-2.2.0.pom
fetchArtifact org/apache/maven/maven-model/2.2.0/maven-model-2.2.0.pom.sha1
fetchArtifact org/apache/maven/maven-model/2.0.5/maven-model-2.0.5.pom
fetchArtifact org/apache/maven/maven-model/2.0.5/maven-model-2.0.5.pom.sha1
fetchArtifact org/apache/maven/maven-project/2.0.6/maven-project-2.0.6.pom
fetchArtifact org/apache/maven/maven-project/2.0.6/maven-project-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-project/2.0.6/maven-project-2.0.6.jar
fetchArtifact org/apache/maven/maven-project/2.0.6/maven-project-2.0.6.jar.sha1
fetchArtifact org/apache/maven/maven-project/2.0/maven-project-2.0.pom
fetchArtifact org/apache/maven/maven-project/2.0/maven-project-2.0.pom.sha1
fetchArtifact org/apache/maven/maven-project/2.0.9/maven-project-2.0.9.pom
fetchArtifact org/apache/maven/maven-project/2.0.9/maven-project-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-project/2.0.9/maven-project-2.0.9.jar
fetchArtifact org/apache/maven/maven-project/2.0.9/maven-project-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-project/2.0.8/maven-project-2.0.8.pom
fetchArtifact org/apache/maven/maven-project/2.0.8/maven-project-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven-project/2.2.0/maven-project-2.2.0.pom
fetchArtifact org/apache/maven/maven-project/2.2.0/maven-project-2.2.0.pom.sha1
fetchArtifact org/apache/maven/maven-project/2.2.0/maven-project-2.2.0.jar
fetchArtifact org/apache/maven/maven-project/2.2.0/maven-project-2.2.0.jar.sha1
fetchArtifact org/apache/maven/maven-project/2.0.5/maven-project-2.0.5.pom
fetchArtifact org/apache/maven/maven-project/2.0.5/maven-project-2.0.5.pom.sha1
fetchArtifact org/apache/maven/maven-settings/2.0.6/maven-settings-2.0.6.pom
fetchArtifact org/apache/maven/maven-settings/2.0.6/maven-settings-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-settings/2.0.6/maven-settings-2.0.6.jar
fetchArtifact org/apache/maven/maven-settings/2.0.6/maven-settings-2.0.6.jar.sha1
fetchArtifact org/apache/maven/maven-settings/2.0/maven-settings-2.0.pom
fetchArtifact org/apache/maven/maven-settings/2.0/maven-settings-2.0.pom.sha1
fetchArtifact org/apache/maven/maven-settings/2.0.9/maven-settings-2.0.9.pom
fetchArtifact org/apache/maven/maven-settings/2.0.9/maven-settings-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-settings/2.0.9/maven-settings-2.0.9.jar
fetchArtifact org/apache/maven/maven-settings/2.0.9/maven-settings-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-settings/3.0/maven-settings-3.0.pom
fetchArtifact org/apache/maven/maven-settings/3.0/maven-settings-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-settings/3.0/maven-settings-3.0.jar
fetchArtifact org/apache/maven/maven-settings/3.0/maven-settings-3.0.jar.sha1
fetchArtifact org/apache/maven/maven-settings/2.0.8/maven-settings-2.0.8.pom
fetchArtifact org/apache/maven/maven-settings/2.0.8/maven-settings-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven-settings/2.2.0/maven-settings-2.2.0.pom
fetchArtifact org/apache/maven/maven-settings/2.2.0/maven-settings-2.2.0.pom.sha1
fetchArtifact org/apache/maven/maven-settings/2.0.5/maven-settings-2.0.5.pom
fetchArtifact org/apache/maven/maven-settings/2.0.5/maven-settings-2.0.5.pom.sha1
fetchArtifact org/apache/maven/maven-profile/2.0.6/maven-profile-2.0.6.pom
fetchArtifact org/apache/maven/maven-profile/2.0.6/maven-profile-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-profile/2.0.6/maven-profile-2.0.6.jar
fetchArtifact org/apache/maven/maven-profile/2.0.6/maven-profile-2.0.6.jar.sha1
fetchArtifact org/apache/maven/maven-profile/2.0/maven-profile-2.0.pom
fetchArtifact org/apache/maven/maven-profile/2.0/maven-profile-2.0.pom.sha1
fetchArtifact org/apache/maven/maven-profile/2.0.9/maven-profile-2.0.9.pom
fetchArtifact org/apache/maven/maven-profile/2.0.9/maven-profile-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-profile/2.0.9/maven-profile-2.0.9.jar
fetchArtifact org/apache/maven/maven-profile/2.0.9/maven-profile-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-profile/2.0.8/maven-profile-2.0.8.pom
fetchArtifact org/apache/maven/maven-profile/2.0.8/maven-profile-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven-profile/2.2.0/maven-profile-2.2.0.pom
fetchArtifact org/apache/maven/maven-profile/2.2.0/maven-profile-2.2.0.pom.sha1
fetchArtifact org/apache/maven/maven-profile/2.2.0/maven-profile-2.2.0.jar
fetchArtifact org/apache/maven/maven-profile/2.2.0/maven-profile-2.2.0.jar.sha1
fetchArtifact org/apache/maven/maven-profile/2.0.5/maven-profile-2.0.5.pom
fetchArtifact org/apache/maven/maven-profile/2.0.5/maven-profile-2.0.5.pom.sha1
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.6/maven-artifact-manager-2.0.6.pom
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.6/maven-artifact-manager-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.6/maven-artifact-manager-2.0.6.jar
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.6/maven-artifact-manager-2.0.6.jar.sha1
fetchArtifact org/apache/maven/maven-artifact-manager/2.0/maven-artifact-manager-2.0.pom
fetchArtifact org/apache/maven/maven-artifact-manager/2.0/maven-artifact-manager-2.0.pom.sha1
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.9/maven-artifact-manager-2.0.9.pom
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.9/maven-artifact-manager-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.9/maven-artifact-manager-2.0.9.jar
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.9/maven-artifact-manager-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.8/maven-artifact-manager-2.0.8.pom
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.8/maven-artifact-manager-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven-artifact-manager/2.2.0/maven-artifact-manager-2.2.0.pom
fetchArtifact org/apache/maven/maven-artifact-manager/2.2.0/maven-artifact-manager-2.2.0.pom.sha1
fetchArtifact org/apache/maven/maven-artifact-manager/2.2.0/maven-artifact-manager-2.2.0.jar
fetchArtifact org/apache/maven/maven-artifact-manager/2.2.0/maven-artifact-manager-2.2.0.jar.sha1
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.2/maven-artifact-manager-2.0.2.pom
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.2/maven-artifact-manager-2.0.2.pom.sha1
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.5/maven-artifact-manager-2.0.5.pom
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.5/maven-artifact-manager-2.0.5.pom.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.6/maven-repository-metadata-2.0.6.pom
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.6/maven-repository-metadata-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.6/maven-repository-metadata-2.0.6.jar
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.6/maven-repository-metadata-2.0.6.jar.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/2.0/maven-repository-metadata-2.0.pom
fetchArtifact org/apache/maven/maven-repository-metadata/2.0/maven-repository-metadata-2.0.pom.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.9/maven-repository-metadata-2.0.9.pom
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.9/maven-repository-metadata-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.9/maven-repository-metadata-2.0.9.jar
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.9/maven-repository-metadata-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/3.0/maven-repository-metadata-3.0.pom
fetchArtifact org/apache/maven/maven-repository-metadata/3.0/maven-repository-metadata-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/3.0/maven-repository-metadata-3.0.jar
fetchArtifact org/apache/maven/maven-repository-metadata/3.0/maven-repository-metadata-3.0.jar.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.8/maven-repository-metadata-2.0.8.pom
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.8/maven-repository-metadata-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/2.2.0/maven-repository-metadata-2.2.0.pom
fetchArtifact org/apache/maven/maven-repository-metadata/2.2.0/maven-repository-metadata-2.2.0.pom.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.2/maven-repository-metadata-2.0.2.pom
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.2/maven-repository-metadata-2.0.2.pom.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.5/maven-repository-metadata-2.0.5.pom
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.5/maven-repository-metadata-2.0.5.pom.sha1
fetchArtifact org/apache/maven/maven-artifact/2.0.6/maven-artifact-2.0.6.pom
fetchArtifact org/apache/maven/maven-artifact/2.0.6/maven-artifact-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-artifact/2.0.6/maven-artifact-2.0.6.jar
fetchArtifact org/apache/maven/maven-artifact/2.0.6/maven-artifact-2.0.6.jar.sha1
fetchArtifact org/apache/maven/maven-artifact/2.0.8/maven-artifact-2.0.8.pom
fetchArtifact org/apache/maven/maven-artifact/2.0.8/maven-artifact-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven-artifact/2.0/maven-artifact-2.0.pom
fetchArtifact org/apache/maven/maven-artifact/2.0/maven-artifact-2.0.pom.sha1
fetchArtifact org/apache/maven/maven-artifact/2.0.9/maven-artifact-2.0.9.pom
fetchArtifact org/apache/maven/maven-artifact/2.0.9/maven-artifact-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-artifact/2.0.9/maven-artifact-2.0.9.jar
fetchArtifact org/apache/maven/maven-artifact/2.0.9/maven-artifact-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-artifact/3.0/maven-artifact-3.0.pom
fetchArtifact org/apache/maven/maven-artifact/3.0/maven-artifact-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-artifact/3.0/maven-artifact-3.0.jar
fetchArtifact org/apache/maven/maven-artifact/3.0/maven-artifact-3.0.jar.sha1
fetchArtifact org/apache/maven/maven-artifact/2.2.1/maven-artifact-2.2.1.pom
fetchArtifact org/apache/maven/maven-artifact/2.2.1/maven-artifact-2.2.1.pom.sha1
fetchArtifact org/apache/maven/maven-artifact/2.2.0/maven-artifact-2.2.0.pom
fetchArtifact org/apache/maven/maven-artifact/2.2.0/maven-artifact-2.2.0.pom.sha1
fetchArtifact org/apache/maven/maven-artifact/2.0.2/maven-artifact-2.0.2.pom
fetchArtifact org/apache/maven/maven-artifact/2.0.2/maven-artifact-2.0.2.pom.sha1
fetchArtifact org/apache/maven/maven-artifact/2.0.5/maven-artifact-2.0.5.pom
fetchArtifact org/apache/maven/maven-artifact/2.0.5/maven-artifact-2.0.5.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.6/maven-plugin-registry-2.0.6.pom
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.6/maven-plugin-registry-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.6/maven-plugin-registry-2.0.6.jar
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.6/maven-plugin-registry-2.0.6.jar.sha1
fetchArtifact org/apache/maven/maven-plugin-registry/2.0/maven-plugin-registry-2.0.pom
fetchArtifact org/apache/maven/maven-plugin-registry/2.0/maven-plugin-registry-2.0.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.9/maven-plugin-registry-2.0.9.pom
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.9/maven-plugin-registry-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.9/maven-plugin-registry-2.0.9.jar
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.9/maven-plugin-registry-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.8/maven-plugin-registry-2.0.8.pom
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.8/maven-plugin-registry-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-registry/2.2.0/maven-plugin-registry-2.2.0.pom
fetchArtifact org/apache/maven/maven-plugin-registry/2.2.0/maven-plugin-registry-2.2.0.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-registry/2.2.0/maven-plugin-registry-2.2.0.jar
fetchArtifact org/apache/maven/maven-plugin-registry/2.2.0/maven-plugin-registry-2.2.0.jar.sha1
fetchArtifact org/apache/maven/maven-core/2.0.6/maven-core-2.0.6.pom
fetchArtifact org/apache/maven/maven-core/2.0.6/maven-core-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-core/2.0.6/maven-core-2.0.6.jar
fetchArtifact org/apache/maven/maven-core/2.0.6/maven-core-2.0.6.jar.sha1
fetchArtifact org/apache/maven/maven-core/2.0/maven-core-2.0.pom
fetchArtifact org/apache/maven/maven-core/2.0/maven-core-2.0.pom.sha1
fetchArtifact org/apache/maven/maven-core/2.0.9/maven-core-2.0.9.pom
fetchArtifact org/apache/maven/maven-core/2.0.9/maven-core-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-core/2.0.9/maven-core-2.0.9.jar
fetchArtifact org/apache/maven/maven-core/2.0.9/maven-core-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-core/3.0/maven-core-3.0.pom
fetchArtifact org/apache/maven/maven-core/3.0/maven-core-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-core/3.0/maven-core-3.0.jar
fetchArtifact org/apache/maven/maven-core/3.0/maven-core-3.0.jar.sha1
fetchArtifact org/apache/maven/maven-plugin-parameter-documenter/2.0.6/maven-plugin-parameter-documenter-2.0.6.pom
fetchArtifact org/apache/maven/maven-plugin-parameter-documenter/2.0.6/maven-plugin-parameter-documenter-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-parameter-documenter/2.0.6/maven-plugin-parameter-documenter-2.0.6.jar
fetchArtifact org/apache/maven/maven-plugin-parameter-documenter/2.0.6/maven-plugin-parameter-documenter-2.0.6.jar.sha1
fetchArtifact org/apache/maven/maven-plugin-parameter-documenter/2.0/maven-plugin-parameter-documenter-2.0.pom
fetchArtifact org/apache/maven/maven-plugin-parameter-documenter/2.0/maven-plugin-parameter-documenter-2.0.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-parameter-documenter/2.0.9/maven-plugin-parameter-documenter-2.0.9.pom
fetchArtifact org/apache/maven/maven-plugin-parameter-documenter/2.0.9/maven-plugin-parameter-documenter-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-parameter-documenter/2.0.9/maven-plugin-parameter-documenter-2.0.9.jar
fetchArtifact org/apache/maven/maven-plugin-parameter-documenter/2.0.9/maven-plugin-parameter-documenter-2.0.9.jar.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-api/2.0.6/maven-reporting-api-2.0.6.pom
fetchArtifact org/apache/maven/reporting/maven-reporting-api/2.0.6/maven-reporting-api-2.0.6.pom.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-api/2.0.6/maven-reporting-api-2.0.6.jar
fetchArtifact org/apache/maven/reporting/maven-reporting-api/2.0.6/maven-reporting-api-2.0.6.jar.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-api/2.0/maven-reporting-api-2.0.pom
fetchArtifact org/apache/maven/reporting/maven-reporting-api/2.0/maven-reporting-api-2.0.pom.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-api/2.0.9/maven-reporting-api-2.0.9.pom
fetchArtifact org/apache/maven/reporting/maven-reporting-api/2.0.9/maven-reporting-api-2.0.9.pom.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-api/2.0.9/maven-reporting-api-2.0.9.jar
fetchArtifact org/apache/maven/reporting/maven-reporting-api/2.0.9/maven-reporting-api-2.0.9.jar.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-api/3.0/maven-reporting-api-3.0.pom
fetchArtifact org/apache/maven/reporting/maven-reporting-api/3.0/maven-reporting-api-3.0.pom.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-api/3.0/maven-reporting-api-3.0.jar
fetchArtifact org/apache/maven/reporting/maven-reporting-api/3.0/maven-reporting-api-3.0.jar.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting/2.0.6/maven-reporting-2.0.6.pom
fetchArtifact org/apache/maven/reporting/maven-reporting/2.0.6/maven-reporting-2.0.6.pom.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting/2.0/maven-reporting-2.0.pom
fetchArtifact org/apache/maven/reporting/maven-reporting/2.0/maven-reporting-2.0.pom.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting/2.0.9/maven-reporting-2.0.9.pom
fetchArtifact org/apache/maven/reporting/maven-reporting/2.0.9/maven-reporting-2.0.9.pom.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-exec/1.0.2/maven-reporting-exec-1.0.2.pom
fetchArtifact org/apache/maven/reporting/maven-reporting-exec/1.0.2/maven-reporting-exec-1.0.2.pom.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-exec/1.0.2/maven-reporting-exec-1.0.2.jar
fetchArtifact org/apache/maven/reporting/maven-reporting-exec/1.0.2/maven-reporting-exec-1.0.2.jar.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-impl/2.0.5/maven-reporting-impl-2.0.5.pom
fetchArtifact org/apache/maven/reporting/maven-reporting-impl/2.0.5/maven-reporting-impl-2.0.5.pom.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-impl/2.0.5/maven-reporting-impl-2.0.5.jar
fetchArtifact org/apache/maven/reporting/maven-reporting-impl/2.0.5/maven-reporting-impl-2.0.5.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0-alpha-7/doxia-sink-api-1.0-alpha-7.pom
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0-alpha-7/doxia-sink-api-1.0-alpha-7.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0-alpha-7/doxia-sink-api-1.0-alpha-7.jar
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0-alpha-7/doxia-sink-api-1.0-alpha-7.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0/doxia-sink-api-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0/doxia-sink-api-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0/doxia-sink-api-1.0.jar
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0/doxia-sink-api-1.0.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.3/doxia-sink-api-1.3.pom
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.3/doxia-sink-api-1.3.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.3/doxia-sink-api-1.3.jar
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.3/doxia-sink-api-1.3.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0-alpha-10/doxia-sink-api-1.0-alpha-10.pom
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0-alpha-10/doxia-sink-api-1.0-alpha-10.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia/1.0-alpha-7/doxia-1.0-alpha-7.pom
fetchArtifact org/apache/maven/doxia/doxia/1.0-alpha-7/doxia-1.0-alpha-7.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia/1.0/doxia-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia/1.0/doxia-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia/1.3/doxia-1.3.pom
fetchArtifact org/apache/maven/doxia/doxia/1.3/doxia-1.3.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia/1.2/doxia-1.2.pom
fetchArtifact org/apache/maven/doxia/doxia/1.2/doxia-1.2.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia/1.0-alpha-10/doxia-1.0-alpha-10.pom
fetchArtifact org/apache/maven/doxia/doxia/1.0-alpha-10/doxia-1.0-alpha-10.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-logging-api/1.3/doxia-logging-api-1.3.pom
fetchArtifact org/apache/maven/doxia/doxia-logging-api/1.3/doxia-logging-api-1.3.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-logging-api/1.3/doxia-logging-api-1.3.jar
fetchArtifact org/apache/maven/doxia/doxia-logging-api/1.3/doxia-logging-api-1.3.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-logging-api/1.2/doxia-logging-api-1.2.pom
fetchArtifact org/apache/maven/doxia/doxia-logging-api/1.2/doxia-logging-api-1.2.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-core/1.3/doxia-core-1.3.pom
fetchArtifact org/apache/maven/doxia/doxia-core/1.3/doxia-core-1.3.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-core/1.3/doxia-core-1.3.jar
fetchArtifact org/apache/maven/doxia/doxia-core/1.3/doxia-core-1.3.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-core/1.0/doxia-core-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-core/1.0/doxia-core-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-core/1.0/doxia-core-1.0.jar
fetchArtifact org/apache/maven/doxia/doxia-core/1.0/doxia-core-1.0.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-xhtml/1.3/doxia-module-xhtml-1.3.pom
fetchArtifact org/apache/maven/doxia/doxia-module-xhtml/1.3/doxia-module-xhtml-1.3.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-xhtml/1.3/doxia-module-xhtml-1.3.jar
fetchArtifact org/apache/maven/doxia/doxia-module-xhtml/1.3/doxia-module-xhtml-1.3.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-xhtml/1.0/doxia-module-xhtml-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-module-xhtml/1.0/doxia-module-xhtml-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-xhtml/1.0/doxia-module-xhtml-1.0.jar
fetchArtifact org/apache/maven/doxia/doxia-module-xhtml/1.0/doxia-module-xhtml-1.0.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-modules/1.3/doxia-modules-1.3.pom
fetchArtifact org/apache/maven/doxia/doxia-modules/1.3/doxia-modules-1.3.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-modules/1.0/doxia-modules-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-modules/1.0/doxia-modules-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-apt/1.3/doxia-module-apt-1.3.pom
fetchArtifact org/apache/maven/doxia/doxia-module-apt/1.3/doxia-module-apt-1.3.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-apt/1.3/doxia-module-apt-1.3.jar
fetchArtifact org/apache/maven/doxia/doxia-module-apt/1.3/doxia-module-apt-1.3.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-apt/1.0/doxia-module-apt-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-module-apt/1.0/doxia-module-apt-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-apt/1.0/doxia-module-apt-1.0.jar
fetchArtifact org/apache/maven/doxia/doxia-module-apt/1.0/doxia-module-apt-1.0.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-xdoc/1.3/doxia-module-xdoc-1.3.pom
fetchArtifact org/apache/maven/doxia/doxia-module-xdoc/1.3/doxia-module-xdoc-1.3.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-xdoc/1.3/doxia-module-xdoc-1.3.jar
fetchArtifact org/apache/maven/doxia/doxia-module-xdoc/1.3/doxia-module-xdoc-1.3.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-xdoc/1.0/doxia-module-xdoc-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-module-xdoc/1.0/doxia-module-xdoc-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-xdoc/1.0/doxia-module-xdoc-1.0.jar
fetchArtifact org/apache/maven/doxia/doxia-module-xdoc/1.0/doxia-module-xdoc-1.0.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-fml/1.3/doxia-module-fml-1.3.pom
fetchArtifact org/apache/maven/doxia/doxia-module-fml/1.3/doxia-module-fml-1.3.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-fml/1.3/doxia-module-fml-1.3.jar
fetchArtifact org/apache/maven/doxia/doxia-module-fml/1.3/doxia-module-fml-1.3.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-fml/1.0/doxia-module-fml-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-module-fml/1.0/doxia-module-fml-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-fml/1.0/doxia-module-fml-1.0.jar
fetchArtifact org/apache/maven/doxia/doxia-module-fml/1.0/doxia-module-fml-1.0.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.3/doxia-decoration-model-1.3.pom
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.3/doxia-decoration-model-1.3.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.3/doxia-decoration-model-1.3.jar
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.3/doxia-decoration-model-1.3.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.2/doxia-decoration-model-1.2.pom
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.2/doxia-decoration-model-1.2.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.0/doxia-decoration-model-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.0/doxia-decoration-model-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.0/doxia-decoration-model-1.0.jar
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.0/doxia-decoration-model-1.0.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-sitetools/1.3/doxia-sitetools-1.3.pom
fetchArtifact org/apache/maven/doxia/doxia-sitetools/1.3/doxia-sitetools-1.3.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-sitetools/1.2/doxia-sitetools-1.2.pom
fetchArtifact org/apache/maven/doxia/doxia-sitetools/1.2/doxia-sitetools-1.2.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-sitetools/1.0/doxia-sitetools-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-sitetools/1.0/doxia-sitetools-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-site-renderer/1.3/doxia-site-renderer-1.3.pom
fetchArtifact org/apache/maven/doxia/doxia-site-renderer/1.3/doxia-site-renderer-1.3.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-site-renderer/1.3/doxia-site-renderer-1.3.jar
fetchArtifact org/apache/maven/doxia/doxia-site-renderer/1.3/doxia-site-renderer-1.3.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-site-renderer/1.0/doxia-site-renderer-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-site-renderer/1.0/doxia-site-renderer-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-site-renderer/1.0/doxia-site-renderer-1.0.jar
fetchArtifact org/apache/maven/doxia/doxia-site-renderer/1.0/doxia-site-renderer-1.0.jar.sha1
fetchArtifact org/apache/maven/maven-error-diagnostics/2.0.6/maven-error-diagnostics-2.0.6.pom
fetchArtifact org/apache/maven/maven-error-diagnostics/2.0.6/maven-error-diagnostics-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-error-diagnostics/2.0.6/maven-error-diagnostics-2.0.6.jar
fetchArtifact org/apache/maven/maven-error-diagnostics/2.0.6/maven-error-diagnostics-2.0.6.jar.sha1
fetchArtifact org/apache/maven/maven-error-diagnostics/2.0/maven-error-diagnostics-2.0.pom
fetchArtifact org/apache/maven/maven-error-diagnostics/2.0/maven-error-diagnostics-2.0.pom.sha1
fetchArtifact org/apache/maven/maven-error-diagnostics/2.0.9/maven-error-diagnostics-2.0.9.pom
fetchArtifact org/apache/maven/maven-error-diagnostics/2.0.9/maven-error-diagnostics-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-error-diagnostics/2.0.9/maven-error-diagnostics-2.0.9.jar
fetchArtifact org/apache/maven/maven-error-diagnostics/2.0.9/maven-error-diagnostics-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-plugin-descriptor/2.0.6/maven-plugin-descriptor-2.0.6.pom
fetchArtifact org/apache/maven/maven-plugin-descriptor/2.0.6/maven-plugin-descriptor-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-descriptor/2.0.6/maven-plugin-descriptor-2.0.6.jar
fetchArtifact org/apache/maven/maven-plugin-descriptor/2.0.6/maven-plugin-descriptor-2.0.6.jar.sha1
fetchArtifact org/apache/maven/maven-plugin-descriptor/2.0/maven-plugin-descriptor-2.0.pom
fetchArtifact org/apache/maven/maven-plugin-descriptor/2.0/maven-plugin-descriptor-2.0.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-descriptor/2.0.9/maven-plugin-descriptor-2.0.9.pom
fetchArtifact org/apache/maven/maven-plugin-descriptor/2.0.9/maven-plugin-descriptor-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-descriptor/2.0.9/maven-plugin-descriptor-2.0.9.jar
fetchArtifact org/apache/maven/maven-plugin-descriptor/2.0.9/maven-plugin-descriptor-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-monitor/2.0.6/maven-monitor-2.0.6.pom
fetchArtifact org/apache/maven/maven-monitor/2.0.6/maven-monitor-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-monitor/2.0.6/maven-monitor-2.0.6.jar
fetchArtifact org/apache/maven/maven-monitor/2.0.6/maven-monitor-2.0.6.jar.sha1
fetchArtifact org/apache/maven/maven-monitor/2.0/maven-monitor-2.0.pom
fetchArtifact org/apache/maven/maven-monitor/2.0/maven-monitor-2.0.pom.sha1
fetchArtifact org/apache/maven/maven-monitor/2.0.9/maven-monitor-2.0.9.pom
fetchArtifact org/apache/maven/maven-monitor/2.0.9/maven-monitor-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-monitor/2.0.9/maven-monitor-2.0.9.jar
fetchArtifact org/apache/maven/maven-monitor/2.0.9/maven-monitor-2.0.9.jar.sha1
fetchArtifact org/apache/maven/shared/maven-artifact-resolver/1.0/maven-artifact-resolver-1.0.pom
fetchArtifact org/apache/maven/shared/maven-artifact-resolver/1.0/maven-artifact-resolver-1.0.pom.sha1
fetchArtifact org/apache/maven/shared/maven-artifact-resolver/1.0/maven-artifact-resolver-1.0.jar
fetchArtifact org/apache/maven/shared/maven-artifact-resolver/1.0/maven-artifact-resolver-1.0.jar.sha1
fetchArtifact org/apache/maven/shared/maven-shared-components/12/maven-shared-components-12.pom
fetchArtifact org/apache/maven/shared/maven-shared-components/12/maven-shared-components-12.pom.sha1
fetchArtifact org/apache/maven/shared/maven-shared-components/8/maven-shared-components-8.pom
fetchArtifact org/apache/maven/shared/maven-shared-components/8/maven-shared-components-8.pom.sha1
fetchArtifact org/apache/maven/shared/maven-shared-components/7/maven-shared-components-7.pom
fetchArtifact org/apache/maven/shared/maven-shared-components/7/maven-shared-components-7.pom.sha1
fetchArtifact org/apache/maven/shared/maven-shared-components/16/maven-shared-components-16.pom
fetchArtifact org/apache/maven/shared/maven-shared-components/16/maven-shared-components-16.pom.sha1
fetchArtifact org/apache/maven/shared/maven-shared-components/17/maven-shared-components-17.pom
fetchArtifact org/apache/maven/shared/maven-shared-components/17/maven-shared-components-17.pom.sha1
fetchArtifact org/apache/maven/shared/maven-shared-components/15/maven-shared-components-15.pom
fetchArtifact org/apache/maven/shared/maven-shared-components/15/maven-shared-components-15.pom.sha1
fetchArtifact org/apache/maven/shared/maven-shared-components/9/maven-shared-components-9.pom
fetchArtifact org/apache/maven/shared/maven-shared-components/9/maven-shared-components-9.pom.sha1
fetchArtifact org/apache/maven/shared/maven-shared-components/19/maven-shared-components-19.pom
fetchArtifact org/apache/maven/shared/maven-shared-components/19/maven-shared-components-19.pom.sha1
fetchArtifact org/apache/maven/shared/maven-shared-components/11/maven-shared-components-11.pom
fetchArtifact org/apache/maven/shared/maven-shared-components/11/maven-shared-components-11.pom.sha1
fetchArtifact org/apache/maven/shared/maven-shared-components/10/maven-shared-components-10.pom
fetchArtifact org/apache/maven/shared/maven-shared-components/10/maven-shared-components-10.pom.sha1
fetchArtifact org/apache/maven/shared/maven-common-artifact-filters/1.0/maven-common-artifact-filters-1.0.pom
fetchArtifact org/apache/maven/shared/maven-common-artifact-filters/1.0/maven-common-artifact-filters-1.0.pom.sha1
fetchArtifact org/apache/maven/shared/maven-common-artifact-filters/1.0/maven-common-artifact-filters-1.0.jar
fetchArtifact org/apache/maven/shared/maven-common-artifact-filters/1.0/maven-common-artifact-filters-1.0.jar.sha1
fetchArtifact org/apache/maven/shared/maven-common-artifact-filters/1.3/maven-common-artifact-filters-1.3.pom
fetchArtifact org/apache/maven/shared/maven-common-artifact-filters/1.3/maven-common-artifact-filters-1.3.pom.sha1
fetchArtifact org/apache/maven/shared/maven-common-artifact-filters/1.3/maven-common-artifact-filters-1.3.jar
fetchArtifact org/apache/maven/shared/maven-common-artifact-filters/1.3/maven-common-artifact-filters-1.3.jar.sha1
fetchArtifact org/apache/maven/shared/maven-common-artifact-filters/1.4/maven-common-artifact-filters-1.4.pom
fetchArtifact org/apache/maven/shared/maven-common-artifact-filters/1.4/maven-common-artifact-filters-1.4.pom.sha1
fetchArtifact org/apache/maven/shared/maven-common-artifact-filters/1.4/maven-common-artifact-filters-1.4.jar
fetchArtifact org/apache/maven/shared/maven-common-artifact-filters/1.4/maven-common-artifact-filters-1.4.jar.sha1
fetchArtifact org/apache/maven/shared/maven-plugin-testing-harness/1.1/maven-plugin-testing-harness-1.1.pom
fetchArtifact org/apache/maven/shared/maven-plugin-testing-harness/1.1/maven-plugin-testing-harness-1.1.pom.sha1
fetchArtifact org/apache/maven/shared/maven-plugin-testing-harness/1.1/maven-plugin-testing-harness-1.1.jar
fetchArtifact org/apache/maven/shared/maven-plugin-testing-harness/1.1/maven-plugin-testing-harness-1.1.jar.sha1
fetchArtifact org/apache/maven/shared/maven-filtering/1.0/maven-filtering-1.0.pom
fetchArtifact org/apache/maven/shared/maven-filtering/1.0/maven-filtering-1.0.pom.sha1
fetchArtifact org/apache/maven/shared/maven-filtering/1.0/maven-filtering-1.0.jar
fetchArtifact org/apache/maven/shared/maven-filtering/1.0/maven-filtering-1.0.jar.sha1
fetchArtifact org/apache/maven/shared/maven-doxia-tools/1.4/maven-doxia-tools-1.4.pom
fetchArtifact org/apache/maven/shared/maven-doxia-tools/1.4/maven-doxia-tools-1.4.pom.sha1
fetchArtifact org/apache/maven/shared/maven-doxia-tools/1.4/maven-doxia-tools-1.4.jar
fetchArtifact org/apache/maven/shared/maven-doxia-tools/1.4/maven-doxia-tools-1.4.jar.sha1
fetchArtifact org/apache/maven/shared/maven-doxia-tools/1.0.2/maven-doxia-tools-1.0.2.pom
fetchArtifact org/apache/maven/shared/maven-doxia-tools/1.0.2/maven-doxia-tools-1.0.2.pom.sha1
fetchArtifact org/apache/maven/shared/maven-doxia-tools/1.0.2/maven-doxia-tools-1.0.2.jar
fetchArtifact org/apache/maven/shared/maven-doxia-tools/1.0.2/maven-doxia-tools-1.0.2.jar.sha1
fetchArtifact org/apache/maven/shared/maven-invoker/2.0.9/maven-invoker-2.0.9.pom
fetchArtifact org/apache/maven/shared/maven-invoker/2.0.9/maven-invoker-2.0.9.pom.sha1
fetchArtifact org/apache/maven/shared/maven-invoker/2.0.9/maven-invoker-2.0.9.jar
fetchArtifact org/apache/maven/shared/maven-invoker/2.0.9/maven-invoker-2.0.9.jar.sha1
fetchArtifact org/apache/maven/shared/maven-invoker/2.0.11/maven-invoker-2.0.11.pom
fetchArtifact org/apache/maven/shared/maven-invoker/2.0.11/maven-invoker-2.0.11.pom.sha1
fetchArtifact org/apache/maven/shared/maven-invoker/2.0.11/maven-invoker-2.0.11.jar
fetchArtifact org/apache/maven/shared/maven-invoker/2.0.11/maven-invoker-2.0.11.jar.sha1
fetchArtifact org/apache/maven/shared/maven-dependency-tree/2.1/maven-dependency-tree-2.1.pom
fetchArtifact org/apache/maven/shared/maven-dependency-tree/2.1/maven-dependency-tree-2.1.pom.sha1
fetchArtifact org/apache/maven/shared/maven-dependency-tree/2.1/maven-dependency-tree-2.1.jar
fetchArtifact org/apache/maven/shared/maven-dependency-tree/2.1/maven-dependency-tree-2.1.jar.sha1
fetchArtifact org/apache/maven/shared/file-management/1.2.1/file-management-1.2.1.pom
fetchArtifact org/apache/maven/shared/file-management/1.2.1/file-management-1.2.1.pom.sha1
fetchArtifact org/apache/maven/shared/file-management/1.2.1/file-management-1.2.1.jar
fetchArtifact org/apache/maven/shared/file-management/1.2.1/file-management-1.2.1.jar.sha1
fetchArtifact org/apache/maven/shared/maven-shared-io/1.1/maven-shared-io-1.1.pom
fetchArtifact org/apache/maven/shared/maven-shared-io/1.1/maven-shared-io-1.1.pom.sha1
fetchArtifact org/apache/maven/shared/maven-shared-io/1.1/maven-shared-io-1.1.jar
fetchArtifact org/apache/maven/shared/maven-shared-io/1.1/maven-shared-io-1.1.jar.sha1
fetchArtifact org/apache/maven/shared/maven-dependency-analyzer/1.4/maven-dependency-analyzer-1.4.pom
fetchArtifact org/apache/maven/shared/maven-dependency-analyzer/1.4/maven-dependency-analyzer-1.4.pom.sha1
fetchArtifact org/apache/maven/shared/maven-dependency-analyzer/1.4/maven-dependency-analyzer-1.4.jar
fetchArtifact org/apache/maven/shared/maven-dependency-analyzer/1.4/maven-dependency-analyzer-1.4.jar.sha1
fetchArtifact org/apache/maven/maven-toolchain/1.0/maven-toolchain-1.0.pom
fetchArtifact org/apache/maven/maven-toolchain/1.0/maven-toolchain-1.0.pom.sha1
fetchArtifact org/apache/maven/maven-toolchain/1.0/maven-toolchain-1.0.jar
fetchArtifact org/apache/maven/maven-toolchain/1.0/maven-toolchain-1.0.jar.sha1
fetchArtifact org/apache/maven/maven-toolchain/2.0.9/maven-toolchain-2.0.9.pom
fetchArtifact org/apache/maven/maven-toolchain/2.0.9/maven-toolchain-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-toolchain/2.0.9/maven-toolchain-2.0.9.jar
fetchArtifact org/apache/maven/maven-toolchain/2.0.9/maven-toolchain-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-archiver/2.5/maven-archiver-2.5.pom
fetchArtifact org/apache/maven/maven-archiver/2.5/maven-archiver-2.5.pom.sha1
fetchArtifact org/apache/maven/maven-archiver/2.5/maven-archiver-2.5.jar
fetchArtifact org/apache/maven/maven-archiver/2.5/maven-archiver-2.5.jar.sha1
fetchArtifact org/apache/maven/maven-archiver/2.4.2/maven-archiver-2.4.2.pom
fetchArtifact org/apache/maven/maven-archiver/2.4.2/maven-archiver-2.4.2.pom.sha1
fetchArtifact org/apache/maven/maven-archiver/2.4.2/maven-archiver-2.4.2.jar
fetchArtifact org/apache/maven/maven-archiver/2.4.2/maven-archiver-2.4.2.jar.sha1
fetchArtifact org/apache/maven/maven-archiver/2.3/maven-archiver-2.3.pom
fetchArtifact org/apache/maven/maven-archiver/2.3/maven-archiver-2.3.pom.sha1
fetchArtifact org/apache/maven/maven-archiver/2.3/maven-archiver-2.3.jar
fetchArtifact org/apache/maven/maven-archiver/2.3/maven-archiver-2.3.jar.sha1
fetchArtifact org/apache/maven/maven-archiver/2.4.1/maven-archiver-2.4.1.pom
fetchArtifact org/apache/maven/maven-archiver/2.4.1/maven-archiver-2.4.1.pom.sha1
fetchArtifact org/apache/maven/maven-archiver/2.4.1/maven-archiver-2.4.1.jar
fetchArtifact org/apache/maven/maven-archiver/2.4.1/maven-archiver-2.4.1.jar.sha1
fetchArtifact org/apache/maven/wagon/wagon-ssh/1.0/wagon-ssh-1.0.pom
fetchArtifact org/apache/maven/wagon/wagon-ssh/1.0/wagon-ssh-1.0.pom.sha1
fetchArtifact org/apache/maven/wagon/wagon-ssh/1.0/wagon-ssh-1.0.jar
fetchArtifact org/apache/maven/wagon/wagon-ssh/1.0/wagon-ssh-1.0.jar.sha1
fetchArtifact org/apache/maven/wagon/wagon-providers/1.0/wagon-providers-1.0.pom
fetchArtifact org/apache/maven/wagon/wagon-providers/1.0/wagon-providers-1.0.pom.sha1
fetchArtifact org/apache/maven/wagon/wagon/1.0/wagon-1.0.pom
fetchArtifact org/apache/maven/wagon/wagon/1.0/wagon-1.0.pom.sha1
fetchArtifact org/apache/maven/wagon/wagon/1.0-beta-6/wagon-1.0-beta-6.pom
fetchArtifact org/apache/maven/wagon/wagon/1.0-beta-6/wagon-1.0-beta-6.pom.sha1
fetchArtifact org/apache/maven/wagon/wagon/1.0-alpha-6/wagon-1.0-alpha-6.pom
fetchArtifact org/apache/maven/wagon/wagon/1.0-alpha-6/wagon-1.0-alpha-6.pom.sha1
fetchArtifact org/apache/maven/wagon/wagon-ssh-common/1.0/wagon-ssh-common-1.0.pom
fetchArtifact org/apache/maven/wagon/wagon-ssh-common/1.0/wagon-ssh-common-1.0.pom.sha1
fetchArtifact org/apache/maven/wagon/wagon-ssh-common/1.0/wagon-ssh-common-1.0.jar
fetchArtifact org/apache/maven/wagon/wagon-ssh-common/1.0/wagon-ssh-common-1.0.jar.sha1
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0/wagon-provider-api-1.0.pom
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0/wagon-provider-api-1.0.pom.sha1
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0/wagon-provider-api-1.0.jar
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0/wagon-provider-api-1.0.jar.sha1
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0-beta-6/wagon-provider-api-1.0-beta-6.pom
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0-beta-6/wagon-provider-api-1.0-beta-6.pom.sha1
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0-beta-6/wagon-provider-api-1.0-beta-6.jar
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0-beta-6/wagon-provider-api-1.0-beta-6.jar.sha1
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0-alpha-6/wagon-provider-api-1.0-alpha-6.pom
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0-alpha-6/wagon-provider-api-1.0-alpha-6.pom.sha1
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0-alpha-6/wagon-provider-api-1.0-alpha-6.jar
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0-alpha-6/wagon-provider-api-1.0-alpha-6.jar.sha1
fetchArtifact org/apache/maven/maven-settings-builder/3.0/maven-settings-builder-3.0.pom
fetchArtifact org/apache/maven/maven-settings-builder/3.0/maven-settings-builder-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-settings-builder/3.0/maven-settings-builder-3.0.jar
fetchArtifact org/apache/maven/maven-settings-builder/3.0/maven-settings-builder-3.0.jar.sha1
fetchArtifact org/apache/maven/maven-model-builder/3.0/maven-model-builder-3.0.pom
fetchArtifact org/apache/maven/maven-model-builder/3.0/maven-model-builder-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-model-builder/3.0/maven-model-builder-3.0.jar
fetchArtifact org/apache/maven/maven-model-builder/3.0/maven-model-builder-3.0.jar.sha1
fetchArtifact org/apache/maven/maven-aether-provider/3.0/maven-aether-provider-3.0.pom
fetchArtifact org/apache/maven/maven-aether-provider/3.0/maven-aether-provider-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-aether-provider/3.0/maven-aether-provider-3.0.jar
fetchArtifact org/apache/maven/maven-aether-provider/3.0/maven-aether-provider-3.0.jar.sha1
fetchArtifact org/apache/maven/maven-compat/3.0/maven-compat-3.0.pom
fetchArtifact org/apache/maven/maven-compat/3.0/maven-compat-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-compat/3.0/maven-compat-3.0.jar
fetchArtifact org/apache/maven/maven-compat/3.0/maven-compat-3.0.jar.sha1
fetchArtifact org/apache/velocity/velocity/1.7/velocity-1.7.pom
fetchArtifact org/apache/velocity/velocity/1.7/velocity-1.7.pom.sha1
fetchArtifact org/apache/velocity/velocity/1.7/velocity-1.7.jar
fetchArtifact org/apache/velocity/velocity/1.7/velocity-1.7.jar.sha1
fetchArtifact org/apache/velocity/velocity/1.5/velocity-1.5.pom
fetchArtifact org/apache/velocity/velocity/1.5/velocity-1.5.pom.sha1
fetchArtifact org/apache/velocity/velocity/1.5/velocity-1.5.jar
fetchArtifact org/apache/velocity/velocity/1.5/velocity-1.5.jar.sha1
fetchArtifact org/apache/velocity/velocity/1.6.2/velocity-1.6.2.pom
fetchArtifact org/apache/velocity/velocity/1.6.2/velocity-1.6.2.pom.sha1
fetchArtifact org/apache/velocity/velocity-tools/2.0/velocity-tools-2.0.pom
fetchArtifact org/apache/velocity/velocity-tools/2.0/velocity-tools-2.0.pom.sha1
fetchArtifact org/apache/velocity/velocity-tools/2.0/velocity-tools-2.0.jar
fetchArtifact org/apache/velocity/velocity-tools/2.0/velocity-tools-2.0.jar.sha1
fetchArtifact org/apache/commons/commons-parent/9/commons-parent-9.pom
fetchArtifact org/apache/commons/commons-parent/9/commons-parent-9.pom.sha1
fetchArtifact org/apache/commons/commons-parent/5/commons-parent-5.pom
fetchArtifact org/apache/commons/commons-parent/5/commons-parent-5.pom.sha1
fetchArtifact org/apache/commons/commons-parent/7/commons-parent-7.pom
fetchArtifact org/apache/commons/commons-parent/7/commons-parent-7.pom.sha1
fetchArtifact org/apache/commons/commons-parent/12/commons-parent-12.pom
fetchArtifact org/apache/commons/commons-parent/12/commons-parent-12.pom.sha1
fetchArtifact org/apache/commons/commons-parent/3/commons-parent-3.pom
fetchArtifact org/apache/commons/commons-parent/3/commons-parent-3.pom.sha1
fetchArtifact org/apache/commons/commons-parent/17/commons-parent-17.pom
fetchArtifact org/apache/commons/commons-parent/17/commons-parent-17.pom.sha1
fetchArtifact org/apache/apache-jar-resource-bundle/1.4/apache-jar-resource-bundle-1.4.jar
fetchArtifact org/apache/apache-jar-resource-bundle/1.4/apache-jar-resource-bundle-1.4.jar.sha1
fetchArtifact org/apache/httpcomponents/httpclient/4.0.2/httpclient-4.0.2.pom
fetchArtifact org/apache/httpcomponents/httpclient/4.0.2/httpclient-4.0.2.pom.sha1
fetchArtifact org/apache/httpcomponents/httpclient/4.0.2/httpclient-4.0.2.jar
fetchArtifact org/apache/httpcomponents/httpclient/4.0.2/httpclient-4.0.2.jar.sha1
fetchArtifact org/apache/httpcomponents/httpcomponents-client/4.0.2/httpcomponents-client-4.0.2.pom
fetchArtifact org/apache/httpcomponents/httpcomponents-client/4.0.2/httpcomponents-client-4.0.2.pom.sha1
fetchArtifact org/apache/httpcomponents/project/4.1/project-4.1.pom
fetchArtifact org/apache/httpcomponents/project/4.1/project-4.1.pom.sha1
fetchArtifact org/apache/httpcomponents/project/4.0/project-4.0.pom
fetchArtifact org/apache/httpcomponents/project/4.0/project-4.0.pom.sha1
fetchArtifact org/apache/httpcomponents/httpcore/4.0.1/httpcore-4.0.1.pom
fetchArtifact org/apache/httpcomponents/httpcore/4.0.1/httpcore-4.0.1.pom.sha1
fetchArtifact org/apache/httpcomponents/httpcore/4.0.1/httpcore-4.0.1.jar
fetchArtifact org/apache/httpcomponents/httpcore/4.0.1/httpcore-4.0.1.jar.sha1
fetchArtifact org/apache/httpcomponents/httpcomponents-core/4.0.1/httpcomponents-core-4.0.1.pom
fetchArtifact org/apache/httpcomponents/httpcomponents-core/4.0.1/httpcomponents-core-4.0.1.pom.sha1
fetchArtifact org/apache/struts/struts-core/1.3.8/struts-core-1.3.8.pom
fetchArtifact org/apache/struts/struts-core/1.3.8/struts-core-1.3.8.pom.sha1
fetchArtifact org/apache/struts/struts-core/1.3.8/struts-core-1.3.8.jar
fetchArtifact org/apache/struts/struts-core/1.3.8/struts-core-1.3.8.jar.sha1
fetchArtifact org/apache/struts/struts-parent/1.3.8/struts-parent-1.3.8.pom
fetchArtifact org/apache/struts/struts-parent/1.3.8/struts-parent-1.3.8.pom.sha1
fetchArtifact org/apache/struts/struts-master/4/struts-master-4.pom
fetchArtifact org/apache/struts/struts-master/4/struts-master-4.pom.sha1
fetchArtifact org/apache/struts/struts-taglib/1.3.8/struts-taglib-1.3.8.pom
fetchArtifact org/apache/struts/struts-taglib/1.3.8/struts-taglib-1.3.8.pom.sha1
fetchArtifact org/apache/struts/struts-taglib/1.3.8/struts-taglib-1.3.8.jar
fetchArtifact org/apache/struts/struts-taglib/1.3.8/struts-taglib-1.3.8.jar.sha1
fetchArtifact org/apache/struts/struts-tiles/1.3.8/struts-tiles-1.3.8.pom
fetchArtifact org/apache/struts/struts-tiles/1.3.8/struts-tiles-1.3.8.pom.sha1
fetchArtifact org/apache/struts/struts-tiles/1.3.8/struts-tiles-1.3.8.jar
fetchArtifact org/apache/struts/struts-tiles/1.3.8/struts-tiles-1.3.8.jar.sha1
fetchArtifact org/apache/xbean/xbean-reflect/3.4/xbean-reflect-3.4.pom
fetchArtifact org/apache/xbean/xbean-reflect/3.4/xbean-reflect-3.4.pom.sha1
fetchArtifact org/apache/xbean/xbean/3.4/xbean-3.4.pom
fetchArtifact org/apache/xbean/xbean/3.4/xbean-3.4.pom.sha1
fetchArtifact org/codehaus/mojo/build-helper-maven-plugin/1.8/build-helper-maven-plugin-1.8.pom
fetchArtifact org/codehaus/mojo/build-helper-maven-plugin/1.8/build-helper-maven-plugin-1.8.pom.sha1
fetchArtifact org/codehaus/mojo/build-helper-maven-plugin/1.8/build-helper-maven-plugin-1.8.jar
fetchArtifact org/codehaus/mojo/build-helper-maven-plugin/1.8/build-helper-maven-plugin-1.8.jar.sha1
fetchArtifact org/codehaus/mojo/mojo-parent/30/mojo-parent-30.pom
fetchArtifact org/codehaus/mojo/mojo-parent/30/mojo-parent-30.pom.sha1
fetchArtifact org/codehaus/codehaus-parent/4/codehaus-parent-4.pom
fetchArtifact org/codehaus/codehaus-parent/4/codehaus-parent-4.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/3.0/plexus-utils-3.0.pom
fetchArtifact org/codehaus/plexus/plexus-utils/3.0/plexus-utils-3.0.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/3.0/plexus-utils-3.0.jar
fetchArtifact org/codehaus/plexus/plexus-utils/3.0/plexus-utils-3.0.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.4.1/plexus-utils-1.4.1.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.4.1/plexus-utils-1.4.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.0.4/plexus-utils-1.0.4.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.0.4/plexus-utils-1.0.4.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.8/plexus-utils-1.5.8.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.8/plexus-utils-1.5.8.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.8/plexus-utils-1.5.8.jar
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.8/plexus-utils-1.5.8.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.4.6/plexus-utils-1.4.6.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.4.6/plexus-utils-1.4.6.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.4.2/plexus-utils-1.4.2.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.4.2/plexus-utils-1.4.2.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.2/plexus-utils-1.2.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.2/plexus-utils-1.2.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.15/plexus-utils-1.5.15.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.15/plexus-utils-1.5.15.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.5/plexus-utils-1.5.5.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.5/plexus-utils-1.5.5.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.12/plexus-utils-1.5.12.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.12/plexus-utils-1.5.12.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.12/plexus-utils-1.5.12.jar
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.12/plexus-utils-1.5.12.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/2.0.5/plexus-utils-2.0.5.pom
fetchArtifact org/codehaus/plexus/plexus-utils/2.0.5/plexus-utils-2.0.5.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/2.0.5/plexus-utils-2.0.5.jar
fetchArtifact org/codehaus/plexus/plexus-utils/2.0.5/plexus-utils-2.0.5.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.1/plexus-utils-1.5.1.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.1/plexus-utils-1.5.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.4/plexus-utils-1.4.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.4/plexus-utils-1.4.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/2.0.4/plexus-utils-2.0.4.pom
fetchArtifact org/codehaus/plexus/plexus-utils/2.0.4/plexus-utils-2.0.4.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.4.5/plexus-utils-1.4.5.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.4.5/plexus-utils-1.4.5.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.3/plexus-utils-1.3.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.3/plexus-utils-1.3.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.10/plexus-utils-1.5.10.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.10/plexus-utils-1.5.10.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.10/plexus-utils-1.5.10.jar
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.10/plexus-utils-1.5.10.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.4.9/plexus-utils-1.4.9.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.4.9/plexus-utils-1.4.9.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.6/plexus-utils-1.5.6.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.6/plexus-utils-1.5.6.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.7/plexus-utils-1.5.7.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.7/plexus-utils-1.5.7.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.15/plexus-utils-3.0.15.pom
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.15/plexus-utils-3.0.15.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.15/plexus-utils-3.0.15.jar
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.15/plexus-utils-3.0.15.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.10/plexus-utils-3.0.10.pom
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.10/plexus-utils-3.0.10.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.8/plexus-utils-3.0.8.pom
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.8/plexus-utils-3.0.8.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.9/plexus-utils-3.0.9.pom
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.9/plexus-utils-3.0.9.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.9/plexus-utils-3.0.9.jar
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.9/plexus-utils-3.0.9.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.1/plexus-utils-1.1.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.1/plexus-utils-1.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/2.1/plexus-utils-2.1.pom
fetchArtifact org/codehaus/plexus/plexus-utils/2.1/plexus-utils-2.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/1.0.11/plexus-1.0.11.pom
fetchArtifact org/codehaus/plexus/plexus/1.0.11/plexus-1.0.11.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/1.0.4/plexus-1.0.4.pom
fetchArtifact org/codehaus/plexus/plexus/1.0.4/plexus-1.0.4.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/2.0.2/plexus-2.0.2.pom
fetchArtifact org/codehaus/plexus/plexus/2.0.2/plexus-2.0.2.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/1.0.8/plexus-1.0.8.pom
fetchArtifact org/codehaus/plexus/plexus/1.0.8/plexus-1.0.8.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/1.0.5/plexus-1.0.5.pom
fetchArtifact org/codehaus/plexus/plexus/1.0.5/plexus-1.0.5.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/2.0.3/plexus-2.0.3.pom
fetchArtifact org/codehaus/plexus/plexus/2.0.3/plexus-2.0.3.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/2.0.6/plexus-2.0.6.pom
fetchArtifact org/codehaus/plexus/plexus/2.0.6/plexus-2.0.6.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/3.1/plexus-3.1.pom
fetchArtifact org/codehaus/plexus/plexus/3.1/plexus-3.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/3.0.1/plexus-3.0.1.pom
fetchArtifact org/codehaus/plexus/plexus/3.0.1/plexus-3.0.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/1.0.10/plexus-1.0.10.pom
fetchArtifact org/codehaus/plexus/plexus/1.0.10/plexus-1.0.10.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/1.0.9/plexus-1.0.9.pom
fetchArtifact org/codehaus/plexus/plexus/1.0.9/plexus-1.0.9.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/2.0.7/plexus-2.0.7.pom
fetchArtifact org/codehaus/plexus/plexus/2.0.7/plexus-2.0.7.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/2.0.5/plexus-2.0.5.pom
fetchArtifact org/codehaus/plexus/plexus/2.0.5/plexus-2.0.5.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/1.0.12/plexus-1.0.12.pom
fetchArtifact org/codehaus/plexus/plexus/1.0.12/plexus-1.0.12.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/3.3.1/plexus-3.3.1.pom
fetchArtifact org/codehaus/plexus/plexus/3.3.1/plexus-3.3.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/3.3/plexus-3.3.pom
fetchArtifact org/codehaus/plexus/plexus/3.3/plexus-3.3.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/3.2/plexus-3.2.pom
fetchArtifact org/codehaus/plexus/plexus/3.2/plexus-3.2.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-9-stable-1/plexus-container-default-1.0-alpha-9-stable-1.pom
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-9-stable-1/plexus-container-default-1.0-alpha-9-stable-1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-9-stable-1/plexus-container-default-1.0-alpha-9-stable-1.jar
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-9-stable-1/plexus-container-default-1.0-alpha-9-stable-1.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-9/plexus-container-default-1.0-alpha-9.pom
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-9/plexus-container-default-1.0-alpha-9.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-9/plexus-container-default-1.0-alpha-9.jar
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-9/plexus-container-default-1.0-alpha-9.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-8/plexus-container-default-1.0-alpha-8.pom
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-8/plexus-container-default-1.0-alpha-8.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-30/plexus-container-default-1.0-alpha-30.pom
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-30/plexus-container-default-1.0-alpha-30.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-30/plexus-container-default-1.0-alpha-30.jar
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-30/plexus-container-default-1.0-alpha-30.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-20/plexus-container-default-1.0-alpha-20.pom
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-20/plexus-container-default-1.0-alpha-20.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-15/plexus-container-default-1.0-alpha-15.pom
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-15/plexus-container-default-1.0-alpha-15.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-container-default/1.5.5/plexus-container-default-1.5.5.pom
fetchArtifact org/codehaus/plexus/plexus-container-default/1.5.5/plexus-container-default-1.5.5.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-containers/1.0.3/plexus-containers-1.0.3.pom
fetchArtifact org/codehaus/plexus/plexus-containers/1.0.3/plexus-containers-1.0.3.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-containers/1.5.5/plexus-containers-1.5.5.pom
fetchArtifact org/codehaus/plexus/plexus-containers/1.5.5/plexus-containers-1.5.5.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-containers/1.5.4/plexus-containers-1.5.4.pom
fetchArtifact org/codehaus/plexus/plexus-containers/1.5.4/plexus-containers-1.5.4.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-containers/1.0-alpha-30/plexus-containers-1.0-alpha-30.pom
fetchArtifact org/codehaus/plexus/plexus-containers/1.0-alpha-30/plexus-containers-1.0-alpha-30.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-containers/1.0-alpha-20/plexus-containers-1.0-alpha-20.pom
fetchArtifact org/codehaus/plexus/plexus-containers/1.0-alpha-20/plexus-containers-1.0-alpha-20.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-containers/1.0-alpha-15/plexus-containers-1.0-alpha-15.pom
fetchArtifact org/codehaus/plexus/plexus-containers/1.0-alpha-15/plexus-containers-1.0-alpha-15.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-containers/1.0-alpha-16/plexus-containers-1.0-alpha-16.pom
fetchArtifact org/codehaus/plexus/plexus-containers/1.0-alpha-16/plexus-containers-1.0-alpha-16.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-interactivity-api/1.0-alpha-4/plexus-interactivity-api-1.0-alpha-4.pom
fetchArtifact org/codehaus/plexus/plexus-interactivity-api/1.0-alpha-4/plexus-interactivity-api-1.0-alpha-4.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-interactivity-api/1.0-alpha-4/plexus-interactivity-api-1.0-alpha-4.jar
fetchArtifact org/codehaus/plexus/plexus-interactivity-api/1.0-alpha-4/plexus-interactivity-api-1.0-alpha-4.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-interactivity-api/1.0-alpha-6/plexus-interactivity-api-1.0-alpha-6.pom
fetchArtifact org/codehaus/plexus/plexus-interactivity-api/1.0-alpha-6/plexus-interactivity-api-1.0-alpha-6.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-interactivity-api/1.0-alpha-6/plexus-interactivity-api-1.0-alpha-6.jar
fetchArtifact org/codehaus/plexus/plexus-interactivity-api/1.0-alpha-6/plexus-interactivity-api-1.0-alpha-6.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-archiver/1.0-alpha-7/plexus-archiver-1.0-alpha-7.pom
fetchArtifact org/codehaus/plexus/plexus-archiver/1.0-alpha-7/plexus-archiver-1.0-alpha-7.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-archiver/1.0-alpha-7/plexus-archiver-1.0-alpha-7.jar
fetchArtifact org/codehaus/plexus/plexus-archiver/1.0-alpha-7/plexus-archiver-1.0-alpha-7.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-archiver/2.1/plexus-archiver-2.1.pom
fetchArtifact org/codehaus/plexus/plexus-archiver/2.1/plexus-archiver-2.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-archiver/2.1/plexus-archiver-2.1.jar
fetchArtifact org/codehaus/plexus/plexus-archiver/2.1/plexus-archiver-2.1.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-archiver/2.0.1/plexus-archiver-2.0.1.pom
fetchArtifact org/codehaus/plexus/plexus-archiver/2.0.1/plexus-archiver-2.0.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-archiver/1.0/plexus-archiver-1.0.pom
fetchArtifact org/codehaus/plexus/plexus-archiver/1.0/plexus-archiver-1.0.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-archiver/1.0/plexus-archiver-1.0.jar
fetchArtifact org/codehaus/plexus/plexus-archiver/1.0/plexus-archiver-1.0.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-archiver/1.0-alpha-9/plexus-archiver-1.0-alpha-9.pom
fetchArtifact org/codehaus/plexus/plexus-archiver/1.0-alpha-9/plexus-archiver-1.0-alpha-9.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-archiver/1.0-alpha-9/plexus-archiver-1.0-alpha-9.jar
fetchArtifact org/codehaus/plexus/plexus-archiver/1.0-alpha-9/plexus-archiver-1.0-alpha-9.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-archiver/2.3/plexus-archiver-2.3.pom
fetchArtifact org/codehaus/plexus/plexus-archiver/2.3/plexus-archiver-2.3.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-archiver/2.3/plexus-archiver-2.3.jar
fetchArtifact org/codehaus/plexus/plexus-archiver/2.3/plexus-archiver-2.3.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-components/1.1.6/plexus-components-1.1.6.pom
fetchArtifact org/codehaus/plexus/plexus-components/1.1.6/plexus-components-1.1.6.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-components/1.1.14/plexus-components-1.1.14.pom
fetchArtifact org/codehaus/plexus/plexus-components/1.1.14/plexus-components-1.1.14.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-components/1.1.15/plexus-components-1.1.15.pom
fetchArtifact org/codehaus/plexus/plexus-components/1.1.15/plexus-components-1.1.15.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-components/1.1.20/plexus-components-1.1.20.pom
fetchArtifact org/codehaus/plexus/plexus-components/1.1.20/plexus-components-1.1.20.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-components/1.1.19/plexus-components-1.1.19.pom
fetchArtifact org/codehaus/plexus/plexus-components/1.1.19/plexus-components-1.1.19.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-components/1.1.9/plexus-components-1.1.9.pom
fetchArtifact org/codehaus/plexus/plexus-components/1.1.9/plexus-components-1.1.9.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-components/1.1.18/plexus-components-1.1.18.pom
fetchArtifact org/codehaus/plexus/plexus-components/1.1.18/plexus-components-1.1.18.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-components/1.1.12/plexus-components-1.1.12.pom
fetchArtifact org/codehaus/plexus/plexus-components/1.1.12/plexus-components-1.1.12.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-components/1.1.17/plexus-components-1.1.17.pom
fetchArtifact org/codehaus/plexus/plexus-components/1.1.17/plexus-components-1.1.17.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-components/1.3/plexus-components-1.3.pom
fetchArtifact org/codehaus/plexus/plexus-components/1.3/plexus-components-1.3.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-components/1.2/plexus-components-1.2.pom
fetchArtifact org/codehaus/plexus/plexus-components/1.2/plexus-components-1.2.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.12/plexus-interpolation-1.12.pom
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.12/plexus-interpolation-1.12.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.12/plexus-interpolation-1.12.jar
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.12/plexus-interpolation-1.12.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.13/plexus-interpolation-1.13.pom
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.13/plexus-interpolation-1.13.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.13/plexus-interpolation-1.13.jar
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.13/plexus-interpolation-1.13.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.15/plexus-interpolation-1.15.pom
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.15/plexus-interpolation-1.15.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.15/plexus-interpolation-1.15.jar
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.15/plexus-interpolation-1.15.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.14/plexus-interpolation-1.14.pom
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.14/plexus-interpolation-1.14.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.14/plexus-interpolation-1.14.jar
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.14/plexus-interpolation-1.14.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.11/plexus-interpolation-1.11.pom
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.11/plexus-interpolation-1.11.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-resources/1.0-alpha-5/plexus-resources-1.0-alpha-5.pom
fetchArtifact org/codehaus/plexus/plexus-resources/1.0-alpha-5/plexus-resources-1.0-alpha-5.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-resources/1.0-alpha-5/plexus-resources-1.0-alpha-5.jar
fetchArtifact org/codehaus/plexus/plexus-resources/1.0-alpha-5/plexus-resources-1.0-alpha-5.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-velocity/1.1.8/plexus-velocity-1.1.8.pom
fetchArtifact org/codehaus/plexus/plexus-velocity/1.1.8/plexus-velocity-1.1.8.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-velocity/1.1.8/plexus-velocity-1.1.8.jar
fetchArtifact org/codehaus/plexus/plexus-velocity/1.1.8/plexus-velocity-1.1.8.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-velocity/1.1.7/plexus-velocity-1.1.7.pom
fetchArtifact org/codehaus/plexus/plexus-velocity/1.1.7/plexus-velocity-1.1.7.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-velocity/1.1.7/plexus-velocity-1.1.7.jar
fetchArtifact org/codehaus/plexus/plexus-velocity/1.1.7/plexus-velocity-1.1.7.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-compiler-api/1.9.1/plexus-compiler-api-1.9.1.pom
fetchArtifact org/codehaus/plexus/plexus-compiler-api/1.9.1/plexus-compiler-api-1.9.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-compiler-api/1.9.1/plexus-compiler-api-1.9.1.jar
fetchArtifact org/codehaus/plexus/plexus-compiler-api/1.9.1/plexus-compiler-api-1.9.1.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-compiler/1.9.1/plexus-compiler-1.9.1.pom
fetchArtifact org/codehaus/plexus/plexus-compiler/1.9.1/plexus-compiler-1.9.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-compiler-manager/1.9.1/plexus-compiler-manager-1.9.1.pom
fetchArtifact org/codehaus/plexus/plexus-compiler-manager/1.9.1/plexus-compiler-manager-1.9.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-compiler-manager/1.9.1/plexus-compiler-manager-1.9.1.jar
fetchArtifact org/codehaus/plexus/plexus-compiler-manager/1.9.1/plexus-compiler-manager-1.9.1.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-compiler-javac/1.9.1/plexus-compiler-javac-1.9.1.pom
fetchArtifact org/codehaus/plexus/plexus-compiler-javac/1.9.1/plexus-compiler-javac-1.9.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-compiler-javac/1.9.1/plexus-compiler-javac-1.9.1.jar
fetchArtifact org/codehaus/plexus/plexus-compiler-javac/1.9.1/plexus-compiler-javac-1.9.1.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-compilers/1.9.1/plexus-compilers-1.9.1.pom
fetchArtifact org/codehaus/plexus/plexus-compilers/1.9.1/plexus-compilers-1.9.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-io/2.0.2/plexus-io-2.0.2.pom
fetchArtifact org/codehaus/plexus/plexus-io/2.0.2/plexus-io-2.0.2.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-io/2.0.2/plexus-io-2.0.2.jar
fetchArtifact org/codehaus/plexus/plexus-io/2.0.2/plexus-io-2.0.2.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-io/2.0.1/plexus-io-2.0.1.pom
fetchArtifact org/codehaus/plexus/plexus-io/2.0.1/plexus-io-2.0.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-io/1.0/plexus-io-1.0.pom
fetchArtifact org/codehaus/plexus/plexus-io/1.0/plexus-io-1.0.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-io/1.0/plexus-io-1.0.jar
fetchArtifact org/codehaus/plexus/plexus-io/1.0/plexus-io-1.0.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-io/1.0-alpha-1/plexus-io-1.0-alpha-1.pom
fetchArtifact org/codehaus/plexus/plexus-io/1.0-alpha-1/plexus-io-1.0-alpha-1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-io/1.0-alpha-1/plexus-io-1.0-alpha-1.jar
fetchArtifact org/codehaus/plexus/plexus-io/1.0-alpha-1/plexus-io-1.0-alpha-1.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-io/2.0.6/plexus-io-2.0.6.pom
fetchArtifact org/codehaus/plexus/plexus-io/2.0.6/plexus-io-2.0.6.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-io/2.0.6/plexus-io-2.0.6.jar
fetchArtifact org/codehaus/plexus/plexus-io/2.0.6/plexus-io-2.0.6.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-interactivity/1.0-alpha-6/plexus-interactivity-1.0-alpha-6.pom
fetchArtifact org/codehaus/plexus/plexus-interactivity/1.0-alpha-6/plexus-interactivity-1.0-alpha-6.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-component-annotations/1.5.5/plexus-component-annotations-1.5.5.pom
fetchArtifact org/codehaus/plexus/plexus-component-annotations/1.5.5/plexus-component-annotations-1.5.5.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-component-annotations/1.5.5/plexus-component-annotations-1.5.5.jar
fetchArtifact org/codehaus/plexus/plexus-component-annotations/1.5.5/plexus-component-annotations-1.5.5.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-component-annotations/1.5.4/plexus-component-annotations-1.5.4.pom
fetchArtifact org/codehaus/plexus/plexus-component-annotations/1.5.4/plexus-component-annotations-1.5.4.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-classworlds/2.2.3/plexus-classworlds-2.2.3.pom
fetchArtifact org/codehaus/plexus/plexus-classworlds/2.2.3/plexus-classworlds-2.2.3.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-classworlds/2.2.3/plexus-classworlds-2.2.3.jar
fetchArtifact org/codehaus/plexus/plexus-classworlds/2.2.3/plexus-classworlds-2.2.3.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-classworlds/1.2-alpha-9/plexus-classworlds-1.2-alpha-9.pom
fetchArtifact org/codehaus/plexus/plexus-classworlds/1.2-alpha-9/plexus-classworlds-1.2-alpha-9.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-classworlds/1.2-alpha-7/plexus-classworlds-1.2-alpha-7.pom
fetchArtifact org/codehaus/plexus/plexus-classworlds/1.2-alpha-7/plexus-classworlds-1.2-alpha-7.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-classworlds/1.2-alpha-6/plexus-classworlds-1.2-alpha-6.pom
fetchArtifact org/codehaus/plexus/plexus-classworlds/1.2-alpha-6/plexus-classworlds-1.2-alpha-6.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-classworlds/2.2.2/plexus-classworlds-2.2.2.pom
fetchArtifact org/codehaus/plexus/plexus-classworlds/2.2.2/plexus-classworlds-2.2.2.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-i18n/1.0-beta-7/plexus-i18n-1.0-beta-7.pom
fetchArtifact org/codehaus/plexus/plexus-i18n/1.0-beta-7/plexus-i18n-1.0-beta-7.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-i18n/1.0-beta-7/plexus-i18n-1.0-beta-7.jar
fetchArtifact org/codehaus/plexus/plexus-i18n/1.0-beta-7/plexus-i18n-1.0-beta-7.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-component-api/1.0-alpha-15/plexus-component-api-1.0-alpha-15.pom
fetchArtifact org/codehaus/plexus/plexus-component-api/1.0-alpha-15/plexus-component-api-1.0-alpha-15.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-component-api/1.0-alpha-16/plexus-component-api-1.0-alpha-16.pom
fetchArtifact org/codehaus/plexus/plexus-component-api/1.0-alpha-16/plexus-component-api-1.0-alpha-16.pom.sha1
fetchArtifact org/sonatype/spice/spice-parent/16/spice-parent-16.pom
fetchArtifact org/sonatype/spice/spice-parent/16/spice-parent-16.pom.sha1
fetchArtifact org/sonatype/spice/spice-parent/10/spice-parent-10.pom
fetchArtifact org/sonatype/spice/spice-parent/10/spice-parent-10.pom.sha1
fetchArtifact org/sonatype/spice/spice-parent/17/spice-parent-17.pom
fetchArtifact org/sonatype/spice/spice-parent/17/spice-parent-17.pom.sha1
fetchArtifact org/sonatype/spice/spice-parent/12/spice-parent-12.pom
fetchArtifact org/sonatype/spice/spice-parent/12/spice-parent-12.pom.sha1
fetchArtifact org/sonatype/forge/forge-parent/5/forge-parent-5.pom
fetchArtifact org/sonatype/forge/forge-parent/5/forge-parent-5.pom.sha1
fetchArtifact org/sonatype/forge/forge-parent/3/forge-parent-3.pom
fetchArtifact org/sonatype/forge/forge-parent/3/forge-parent-3.pom.sha1
fetchArtifact org/sonatype/forge/forge-parent/10/forge-parent-10.pom
fetchArtifact org/sonatype/forge/forge-parent/10/forge-parent-10.pom.sha1
fetchArtifact org/sonatype/forge/forge-parent/4/forge-parent-4.pom
fetchArtifact org/sonatype/forge/forge-parent/4/forge-parent-4.pom.sha1
fetchArtifact org/sonatype/forge/forge-parent/6/forge-parent-6.pom
fetchArtifact org/sonatype/forge/forge-parent/6/forge-parent-6.pom.sha1
fetchArtifact org/sonatype/plexus/plexus-build-api/0.0.4/plexus-build-api-0.0.4.pom
fetchArtifact org/sonatype/plexus/plexus-build-api/0.0.4/plexus-build-api-0.0.4.pom.sha1
fetchArtifact org/sonatype/plexus/plexus-build-api/0.0.4/plexus-build-api-0.0.4.jar
fetchArtifact org/sonatype/plexus/plexus-build-api/0.0.4/plexus-build-api-0.0.4.jar.sha1
fetchArtifact org/sonatype/plexus/plexus-sec-dispatcher/1.3/plexus-sec-dispatcher-1.3.pom
fetchArtifact org/sonatype/plexus/plexus-sec-dispatcher/1.3/plexus-sec-dispatcher-1.3.pom.sha1
fetchArtifact org/sonatype/plexus/plexus-sec-dispatcher/1.3/plexus-sec-dispatcher-1.3.jar
fetchArtifact org/sonatype/plexus/plexus-sec-dispatcher/1.3/plexus-sec-dispatcher-1.3.jar.sha1
fetchArtifact org/sonatype/plexus/plexus-cipher/1.4/plexus-cipher-1.4.pom
fetchArtifact org/sonatype/plexus/plexus-cipher/1.4/plexus-cipher-1.4.pom.sha1
fetchArtifact org/sonatype/plexus/plexus-cipher/1.4/plexus-cipher-1.4.jar
fetchArtifact org/sonatype/plexus/plexus-cipher/1.4/plexus-cipher-1.4.jar.sha1
fetchArtifact org/sonatype/oss/oss-parent/6/oss-parent-6.pom
fetchArtifact org/sonatype/oss/oss-parent/6/oss-parent-6.pom.sha1
fetchArtifact org/sonatype/oss/oss-parent/7/oss-parent-7.pom
fetchArtifact org/sonatype/oss/oss-parent/7/oss-parent-7.pom.sha1
fetchArtifact org/sonatype/sisu/sisu-inject-plexus/1.4.2/sisu-inject-plexus-1.4.2.pom
fetchArtifact org/sonatype/sisu/sisu-inject-plexus/1.4.2/sisu-inject-plexus-1.4.2.pom.sha1
fetchArtifact org/sonatype/sisu/sisu-inject-plexus/1.4.2/sisu-inject-plexus-1.4.2.jar
fetchArtifact org/sonatype/sisu/sisu-inject-plexus/1.4.2/sisu-inject-plexus-1.4.2.jar.sha1
fetchArtifact org/sonatype/sisu/inject/guice-plexus/1.4.2/guice-plexus-1.4.2.pom
fetchArtifact org/sonatype/sisu/inject/guice-plexus/1.4.2/guice-plexus-1.4.2.pom.sha1
fetchArtifact org/sonatype/sisu/inject/guice-bean/1.4.2/guice-bean-1.4.2.pom
fetchArtifact org/sonatype/sisu/inject/guice-bean/1.4.2/guice-bean-1.4.2.pom.sha1
fetchArtifact org/sonatype/sisu/sisu-inject/1.4.2/sisu-inject-1.4.2.pom
fetchArtifact org/sonatype/sisu/sisu-inject/1.4.2/sisu-inject-1.4.2.pom.sha1
fetchArtifact org/sonatype/sisu/sisu-parent/1.4.2/sisu-parent-1.4.2.pom
fetchArtifact org/sonatype/sisu/sisu-parent/1.4.2/sisu-parent-1.4.2.pom.sha1
fetchArtifact org/sonatype/sisu/sisu-inject-bean/1.4.2/sisu-inject-bean-1.4.2.pom
fetchArtifact org/sonatype/sisu/sisu-inject-bean/1.4.2/sisu-inject-bean-1.4.2.pom.sha1
fetchArtifact org/sonatype/sisu/sisu-inject-bean/1.4.2/sisu-inject-bean-1.4.2.jar
fetchArtifact org/sonatype/sisu/sisu-inject-bean/1.4.2/sisu-inject-bean-1.4.2.jar.sha1
fetchArtifact org/sonatype/sisu/sisu-guice/2.1.7/sisu-guice-2.1.7.pom
fetchArtifact org/sonatype/sisu/sisu-guice/2.1.7/sisu-guice-2.1.7.pom.sha1
fetchArtifact org/sonatype/sisu/sisu-guice/2.1.7/sisu-guice-2.1.7-noaop.jar
fetchArtifact org/sonatype/sisu/sisu-guice/2.1.7/sisu-guice-2.1.7-noaop.jar.sha1
fetchArtifact org/sonatype/aether/aether-api/1.7/aether-api-1.7.pom
fetchArtifact org/sonatype/aether/aether-api/1.7/aether-api-1.7.pom.sha1
fetchArtifact org/sonatype/aether/aether-api/1.7/aether-api-1.7.jar
fetchArtifact org/sonatype/aether/aether-api/1.7/aether-api-1.7.jar.sha1
fetchArtifact org/sonatype/aether/aether-parent/1.7/aether-parent-1.7.pom
fetchArtifact org/sonatype/aether/aether-parent/1.7/aether-parent-1.7.pom.sha1
fetchArtifact org/sonatype/aether/aether-util/1.7/aether-util-1.7.pom
fetchArtifact org/sonatype/aether/aether-util/1.7/aether-util-1.7.pom.sha1
fetchArtifact org/sonatype/aether/aether-util/1.7/aether-util-1.7.jar
fetchArtifact org/sonatype/aether/aether-util/1.7/aether-util-1.7.jar.sha1
fetchArtifact org/sonatype/aether/aether-impl/1.7/aether-impl-1.7.pom
fetchArtifact org/sonatype/aether/aether-impl/1.7/aether-impl-1.7.pom.sha1
fetchArtifact org/sonatype/aether/aether-impl/1.7/aether-impl-1.7.jar
fetchArtifact org/sonatype/aether/aether-impl/1.7/aether-impl-1.7.jar.sha1
fetchArtifact org/sonatype/aether/aether-spi/1.7/aether-spi-1.7.pom
fetchArtifact org/sonatype/aether/aether-spi/1.7/aether-spi-1.7.pom.sha1
fetchArtifact org/sonatype/aether/aether-spi/1.7/aether-spi-1.7.jar
fetchArtifact org/sonatype/aether/aether-spi/1.7/aether-spi-1.7.jar.sha1
fetchArtifact org/hamcrest/hamcrest-core/1.1/hamcrest-core-1.1.pom
fetchArtifact org/hamcrest/hamcrest-core/1.1/hamcrest-core-1.1.pom.sha1
fetchArtifact org/hamcrest/hamcrest-core/1.1/hamcrest-core-1.1.jar
fetchArtifact org/hamcrest/hamcrest-core/1.1/hamcrest-core-1.1.jar.sha1
fetchArtifact org/hamcrest/hamcrest-parent/1.1/hamcrest-parent-1.1.pom
fetchArtifact org/hamcrest/hamcrest-parent/1.1/hamcrest-parent-1.1.pom.sha1
fetchArtifact org/beanshell/bsh/2.0b4/bsh-2.0b4.pom
fetchArtifact org/beanshell/bsh/2.0b4/bsh-2.0b4.pom.sha1
fetchArtifact org/beanshell/bsh/2.0b4/bsh-2.0b4.jar
fetchArtifact org/beanshell/bsh/2.0b4/bsh-2.0b4.jar.sha1
fetchArtifact org/beanshell/beanshell/2.0b4/beanshell-2.0b4.pom
fetchArtifact org/beanshell/beanshell/2.0b4/beanshell-2.0b4.pom.sha1
fetchArtifact org/mortbay/jetty/jetty/6.1.25/jetty-6.1.25.pom
fetchArtifact org/mortbay/jetty/jetty/6.1.25/jetty-6.1.25.pom.sha1
fetchArtifact org/mortbay/jetty/jetty/6.1.25/jetty-6.1.25.jar
fetchArtifact org/mortbay/jetty/jetty/6.1.25/jetty-6.1.25.jar.sha1
fetchArtifact org/mortbay/jetty/project/6.1.25/project-6.1.25.pom
fetchArtifact org/mortbay/jetty/project/6.1.25/project-6.1.25.pom.sha1
fetchArtifact org/mortbay/jetty/jetty-parent/10/jetty-parent-10.pom
fetchArtifact org/mortbay/jetty/jetty-parent/10/jetty-parent-10.pom.sha1
fetchArtifact org/mortbay/jetty/jetty-parent/7/jetty-parent-7.pom
fetchArtifact org/mortbay/jetty/jetty-parent/7/jetty-parent-7.pom.sha1
fetchArtifact org/mortbay/jetty/jetty-util/6.1.25/jetty-util-6.1.25.pom
fetchArtifact org/mortbay/jetty/jetty-util/6.1.25/jetty-util-6.1.25.pom.sha1
fetchArtifact org/mortbay/jetty/jetty-util/6.1.25/jetty-util-6.1.25.jar
fetchArtifact org/mortbay/jetty/jetty-util/6.1.25/jetty-util-6.1.25.jar.sha1
fetchArtifact org/mortbay/jetty/servlet-api/2.5-20081211/servlet-api-2.5-20081211.pom
fetchArtifact org/mortbay/jetty/servlet-api/2.5-20081211/servlet-api-2.5-20081211.pom.sha1
fetchArtifact org/mortbay/jetty/servlet-api/2.5-20081211/servlet-api-2.5-20081211.jar
fetchArtifact org/mortbay/jetty/servlet-api/2.5-20081211/servlet-api-2.5-20081211.jar.sha1
fetchArtifact org/eclipse/jetty/jetty-parent/14/jetty-parent-14.pom
fetchArtifact org/eclipse/jetty/jetty-parent/14/jetty-parent-14.pom.sha1
fetchArtifact org/eclipse/aether/aether-util/0.9.0.M2/aether-util-0.9.0.M2.pom
fetchArtifact org/eclipse/aether/aether-util/0.9.0.M2/aether-util-0.9.0.M2.pom.sha1
fetchArtifact org/eclipse/aether/aether-util/0.9.0.M2/aether-util-0.9.0.M2.jar
fetchArtifact org/eclipse/aether/aether-util/0.9.0.M2/aether-util-0.9.0.M2.jar.sha1
fetchArtifact org/eclipse/aether/aether/0.9.0.M2/aether-0.9.0.M2.pom
fetchArtifact org/eclipse/aether/aether/0.9.0.M2/aether-0.9.0.M2.pom.sha1
fetchArtifact org/mockito/mockito-core/1.8.5/mockito-core-1.8.5.pom
fetchArtifact org/mockito/mockito-core/1.8.5/mockito-core-1.8.5.pom.sha1
fetchArtifact org/mockito/mockito-core/1.8.5/mockito-core-1.8.5.jar
fetchArtifact org/mockito/mockito-core/1.8.5/mockito-core-1.8.5.jar.sha1
fetchArtifact org/objenesis/objenesis/1.0/objenesis-1.0.pom
fetchArtifact org/objenesis/objenesis/1.0/objenesis-1.0.pom.sha1
fetchArtifact org/objenesis/objenesis/1.0/objenesis-1.0.jar
fetchArtifact org/objenesis/objenesis/1.0/objenesis-1.0.jar.sha1
fetchArtifact org/jdom/jdom/1.1/jdom-1.1.pom
fetchArtifact org/jdom/jdom/1.1/jdom-1.1.pom.sha1
fetchArtifact org/jdom/jdom/1.1/jdom-1.1.jar
fetchArtifact org/jdom/jdom/1.1/jdom-1.1.jar.sha1
fetchArtifact org/vafer/jdependency/0.7/jdependency-0.7.pom
fetchArtifact org/vafer/jdependency/0.7/jdependency-0.7.pom.sha1
fetchArtifact org/vafer/jdependency/0.7/jdependency-0.7.jar
fetchArtifact org/vafer/jdependency/0.7/jdependency-0.7.jar.sha1
fetchArtifact com/google/protobuf/protobuf-java/3.3.0/protobuf-java-3.3.0.pom
fetchArtifact com/google/protobuf/protobuf-java/3.3.0/protobuf-java-3.3.0.pom.sha1
fetchArtifact com/google/protobuf/protobuf-java/3.3.0/protobuf-java-3.3.0.jar
fetchArtifact com/google/protobuf/protobuf-java/3.3.0/protobuf-java-3.3.0.jar.sha1
fetchArtifact com/google/protobuf/protobuf-parent/3.3.0/protobuf-parent-3.3.0.pom
fetchArtifact com/google/protobuf/protobuf-parent/3.3.0/protobuf-parent-3.3.0.pom.sha1
fetchArtifact com/google/google/1/google-1.pom
fetchArtifact com/google/google/1/google-1.pom.sha1
fetchArtifact com/google/guava/guava/11.0.2/guava-11.0.2.pom
fetchArtifact com/google/guava/guava/11.0.2/guava-11.0.2.pom.sha1
fetchArtifact com/google/guava/guava/11.0.2/guava-11.0.2.jar
fetchArtifact com/google/guava/guava/11.0.2/guava-11.0.2.jar.sha1
fetchArtifact com/google/guava/guava-parent/11.0.2/guava-parent-11.0.2.pom
fetchArtifact com/google/guava/guava-parent/11.0.2/guava-parent-11.0.2.pom.sha1
fetchArtifact com/google/code/findbugs/jsr305/1.3.9/jsr305-1.3.9.pom
fetchArtifact com/google/code/findbugs/jsr305/1.3.9/jsr305-1.3.9.pom.sha1
fetchArtifact com/google/code/findbugs/jsr305/1.3.9/jsr305-1.3.9.jar
fetchArtifact com/google/code/findbugs/jsr305/1.3.9/jsr305-1.3.9.jar.sha1
fetchArtifact com/google/collections/google-collections/1.0/google-collections-1.0.pom
fetchArtifact com/google/collections/google-collections/1.0/google-collections-1.0.pom.sha1
fetchArtifact com/jcraft/jsch/0.1.44-1/jsch-0.1.44-1.pom
fetchArtifact com/jcraft/jsch/0.1.44-1/jsch-0.1.44-1.pom.sha1
fetchArtifact com/jcraft/jsch/0.1.44-1/jsch-0.1.44-1.jar
fetchArtifact com/jcraft/jsch/0.1.44-1/jsch-0.1.44-1.jar.sha1
fetchArtifact com/thoughtworks/qdox/qdox/1.12/qdox-1.12.pom
fetchArtifact com/thoughtworks/qdox/qdox/1.12/qdox-1.12.pom.sha1
fetchArtifact com/thoughtworks/qdox/qdox/1.12/qdox-1.12.jar
fetchArtifact com/thoughtworks/qdox/qdox/1.12/qdox-1.12.jar.sha1
fetchArtifact junit/junit/4.10/junit-4.10.pom
fetchArtifact junit/junit/4.10/junit-4.10.pom.sha1
fetchArtifact junit/junit/3.8.1/junit-3.8.1.pom
fetchArtifact junit/junit/3.8.1/junit-3.8.1.pom.sha1
fetchArtifact junit/junit/3.8.1/junit-3.8.1.jar
fetchArtifact junit/junit/3.8.1/junit-3.8.1.jar.sha1
fetchArtifact junit/junit/3.8.2/junit-3.8.2.pom
fetchArtifact junit/junit/3.8.2/junit-3.8.2.pom.sha1
fetchArtifact classworlds/classworlds/1.1-alpha-2/classworlds-1.1-alpha-2.pom
fetchArtifact classworlds/classworlds/1.1-alpha-2/classworlds-1.1-alpha-2.pom.sha1
fetchArtifact classworlds/classworlds/1.1-alpha-2/classworlds-1.1-alpha-2.jar
fetchArtifact classworlds/classworlds/1.1-alpha-2/classworlds-1.1-alpha-2.jar.sha1
fetchArtifact classworlds/classworlds/1.1/classworlds-1.1.pom
fetchArtifact classworlds/classworlds/1.1/classworlds-1.1.pom.sha1
fetchArtifact classworlds/classworlds/1.1/classworlds-1.1.jar
fetchArtifact classworlds/classworlds/1.1/classworlds-1.1.jar.sha1
fetchArtifact commons-cli/commons-cli/1.0/commons-cli-1.0.pom
fetchArtifact commons-cli/commons-cli/1.0/commons-cli-1.0.pom.sha1
fetchArtifact commons-cli/commons-cli/1.0/commons-cli-1.0.jar
fetchArtifact commons-cli/commons-cli/1.0/commons-cli-1.0.jar.sha1
fetchArtifact doxia/doxia-sink-api/1.0-alpha-4/doxia-sink-api-1.0-alpha-4.pom
fetchArtifact doxia/doxia-sink-api/1.0-alpha-4/doxia-sink-api-1.0-alpha-4.pom.sha1
fetchArtifact commons-collections/commons-collections/3.1/commons-collections-3.1.pom
fetchArtifact commons-collections/commons-collections/3.1/commons-collections-3.1.pom.sha1
fetchArtifact commons-collections/commons-collections/3.1/commons-collections-3.1.jar
fetchArtifact commons-collections/commons-collections/3.1/commons-collections-3.1.jar.sha1
fetchArtifact commons-collections/commons-collections/3.2.1/commons-collections-3.2.1.pom
fetchArtifact commons-collections/commons-collections/3.2.1/commons-collections-3.2.1.pom.sha1
fetchArtifact commons-collections/commons-collections/3.2.1/commons-collections-3.2.1.jar
fetchArtifact commons-collections/commons-collections/3.2.1/commons-collections-3.2.1.jar.sha1
fetchArtifact commons-collections/commons-collections/2.0/commons-collections-2.0.pom
fetchArtifact commons-collections/commons-collections/2.0/commons-collections-2.0.pom.sha1
fetchArtifact commons-collections/commons-collections/2.1/commons-collections-2.1.pom
fetchArtifact commons-collections/commons-collections/2.1/commons-collections-2.1.pom.sha1
fetchArtifact commons-collections/commons-collections/3.2/commons-collections-3.2.pom
fetchArtifact commons-collections/commons-collections/3.2/commons-collections-3.2.pom.sha1
fetchArtifact commons-collections/commons-collections/3.2/commons-collections-3.2.jar
fetchArtifact commons-collections/commons-collections/3.2/commons-collections-3.2.jar.sha1
fetchArtifact commons-lang/commons-lang/2.4/commons-lang-2.4.pom
fetchArtifact commons-lang/commons-lang/2.4/commons-lang-2.4.pom.sha1
fetchArtifact commons-lang/commons-lang/2.4/commons-lang-2.4.jar
fetchArtifact commons-lang/commons-lang/2.4/commons-lang-2.4.jar.sha1
fetchArtifact commons-lang/commons-lang/2.1/commons-lang-2.1.pom
fetchArtifact commons-lang/commons-lang/2.1/commons-lang-2.1.pom.sha1
fetchArtifact commons-lang/commons-lang/2.1/commons-lang-2.1.jar
fetchArtifact commons-lang/commons-lang/2.1/commons-lang-2.1.jar.sha1
fetchArtifact commons-lang/commons-lang/2.5/commons-lang-2.5.pom
fetchArtifact commons-lang/commons-lang/2.5/commons-lang-2.5.pom.sha1
fetchArtifact commons-lang/commons-lang/2.5/commons-lang-2.5.jar
fetchArtifact commons-lang/commons-lang/2.5/commons-lang-2.5.jar.sha1
fetchArtifact commons-lang/commons-lang/2.6/commons-lang-2.6.pom
fetchArtifact commons-lang/commons-lang/2.6/commons-lang-2.6.pom.sha1
fetchArtifact commons-lang/commons-lang/2.6/commons-lang-2.6.jar
fetchArtifact commons-lang/commons-lang/2.6/commons-lang-2.6.jar.sha1
fetchArtifact oro/oro/2.0.8/oro-2.0.8.pom
fetchArtifact oro/oro/2.0.8/oro-2.0.8.pom.sha1
fetchArtifact oro/oro/2.0.8/oro-2.0.8.jar
fetchArtifact oro/oro/2.0.8/oro-2.0.8.jar.sha1
fetchArtifact velocity/velocity/1.5/velocity-1.5.pom
fetchArtifact velocity/velocity/1.5/velocity-1.5.pom.sha1
fetchArtifact velocity/velocity/1.5/velocity-1.5.jar
fetchArtifact velocity/velocity/1.5/velocity-1.5.jar.sha1
fetchArtifact xerces/xercesImpl/2.9.1/xercesImpl-2.9.1.pom
fetchArtifact xerces/xercesImpl/2.9.1/xercesImpl-2.9.1.pom.sha1
fetchArtifact xerces/xercesImpl/2.9.1/xercesImpl-2.9.1.jar
fetchArtifact xerces/xercesImpl/2.9.1/xercesImpl-2.9.1.jar.sha1
fetchArtifact xml-apis/xml-apis/1.3.04/xml-apis-1.3.04.pom
fetchArtifact xml-apis/xml-apis/1.3.04/xml-apis-1.3.04.pom.sha1
fetchArtifact xml-apis/xml-apis/1.3.04/xml-apis-1.3.04.jar
fetchArtifact xml-apis/xml-apis/1.3.04/xml-apis-1.3.04.jar.sha1
fetchArtifact xml-apis/xml-apis/1.0.b2/xml-apis-1.0.b2.pom
fetchArtifact xml-apis/xml-apis/1.0.b2/xml-apis-1.0.b2.pom.sha1
fetchArtifact xml-apis/xml-apis/1.0.b2/xml-apis-1.0.b2.jar
fetchArtifact xml-apis/xml-apis/1.0.b2/xml-apis-1.0.b2.jar.sha1
fetchArtifact xml-apis/xml-apis/2.0.2/xml-apis-2.0.2.pom
fetchArtifact xml-apis/xml-apis/2.0.2/xml-apis-2.0.2.pom.sha1
fetchArtifact commons-logging/commons-logging/1.1.1/commons-logging-1.1.1.pom
fetchArtifact commons-logging/commons-logging/1.1.1/commons-logging-1.1.1.pom.sha1
fetchArtifact commons-logging/commons-logging/1.1.1/commons-logging-1.1.1.jar
fetchArtifact commons-logging/commons-logging/1.1.1/commons-logging-1.1.1.jar.sha1
fetchArtifact commons-logging/commons-logging/1.0.3/commons-logging-1.0.3.pom
fetchArtifact commons-logging/commons-logging/1.0.3/commons-logging-1.0.3.pom.sha1
fetchArtifact commons-logging/commons-logging/1.1/commons-logging-1.1.pom
fetchArtifact commons-logging/commons-logging/1.1/commons-logging-1.1.pom.sha1
fetchArtifact commons-logging/commons-logging/1.0/commons-logging-1.0.pom
fetchArtifact commons-logging/commons-logging/1.0/commons-logging-1.0.pom.sha1
fetchArtifact commons-logging/commons-logging/1.0.4/commons-logging-1.0.4.pom
fetchArtifact commons-logging/commons-logging/1.0.4/commons-logging-1.0.4.pom.sha1
fetchArtifact commons-logging/commons-logging/1.0.4/commons-logging-1.0.4.jar
fetchArtifact commons-logging/commons-logging/1.0.4/commons-logging-1.0.4.jar.sha1
fetchArtifact commons-logging/commons-logging-api/1.1/commons-logging-api-1.1.pom
fetchArtifact commons-logging/commons-logging-api/1.1/commons-logging-api-1.1.pom.sha1
fetchArtifact commons-codec/commons-codec/1.3/commons-codec-1.3.pom
fetchArtifact commons-codec/commons-codec/1.3/commons-codec-1.3.pom.sha1
fetchArtifact commons-codec/commons-codec/1.3/commons-codec-1.3.jar
fetchArtifact commons-codec/commons-codec/1.3/commons-codec-1.3.jar.sha1
fetchArtifact commons-codec/commons-codec/1.2/commons-codec-1.2.pom
fetchArtifact commons-codec/commons-codec/1.2/commons-codec-1.2.pom.sha1
fetchArtifact commons-codec/commons-codec/1.2/commons-codec-1.2.jar
fetchArtifact commons-codec/commons-codec/1.2/commons-codec-1.2.jar.sha1
fetchArtifact javax/servlet/servlet-api/2.5/servlet-api-2.5.pom
fetchArtifact javax/servlet/servlet-api/2.5/servlet-api-2.5.pom.sha1
fetchArtifact javax/servlet/servlet-api/2.5/servlet-api-2.5.jar
fetchArtifact javax/servlet/servlet-api/2.5/servlet-api-2.5.jar.sha1
fetchArtifact javax/servlet/servlet-api/2.3/servlet-api-2.3.pom
fetchArtifact javax/servlet/servlet-api/2.3/servlet-api-2.3.pom.sha1
fetchArtifact commons-beanutils/commons-beanutils/1.7.0/commons-beanutils-1.7.0.pom
fetchArtifact commons-beanutils/commons-beanutils/1.7.0/commons-beanutils-1.7.0.pom.sha1
fetchArtifact commons-beanutils/commons-beanutils/1.7.0/commons-beanutils-1.7.0.jar
fetchArtifact commons-beanutils/commons-beanutils/1.7.0/commons-beanutils-1.7.0.jar.sha1
fetchArtifact commons-beanutils/commons-beanutils/1.6/commons-beanutils-1.6.pom
fetchArtifact commons-beanutils/commons-beanutils/1.6/commons-beanutils-1.6.pom.sha1
fetchArtifact commons-digester/commons-digester/1.8/commons-digester-1.8.pom
fetchArtifact commons-digester/commons-digester/1.8/commons-digester-1.8.pom.sha1
fetchArtifact commons-digester/commons-digester/1.8/commons-digester-1.8.jar
fetchArtifact commons-digester/commons-digester/1.8/commons-digester-1.8.jar.sha1
fetchArtifact commons-digester/commons-digester/1.6/commons-digester-1.6.pom
fetchArtifact commons-digester/commons-digester/1.6/commons-digester-1.6.pom.sha1
fetchArtifact commons-digester/commons-digester/1.6/commons-digester-1.6.jar
fetchArtifact commons-digester/commons-digester/1.6/commons-digester-1.6.jar.sha1
fetchArtifact log4j/log4j/1.2.12/log4j-1.2.12.pom
fetchArtifact log4j/log4j/1.2.12/log4j-1.2.12.pom.sha1
fetchArtifact log4j/log4j/1.2.14/log4j-1.2.14.pom
fetchArtifact log4j/log4j/1.2.14/log4j-1.2.14.pom.sha1
fetchArtifact log4j/log4j/1.2.14/log4j-1.2.14.jar
fetchArtifact log4j/log4j/1.2.14/log4j-1.2.14.jar.sha1
fetchArtifact logkit/logkit/1.0.1/logkit-1.0.1.pom
fetchArtifact logkit/logkit/1.0.1/logkit-1.0.1.pom.sha1
fetchArtifact avalon-framework/avalon-framework/4.1.3/avalon-framework-4.1.3.pom
fetchArtifact avalon-framework/avalon-framework/4.1.3/avalon-framework-4.1.3.pom.sha1
fetchArtifact commons-chain/commons-chain/1.1/commons-chain-1.1.pom
fetchArtifact commons-chain/commons-chain/1.1/commons-chain-1.1.pom.sha1
fetchArtifact commons-chain/commons-chain/1.1/commons-chain-1.1.jar
fetchArtifact commons-chain/commons-chain/1.1/commons-chain-1.1.jar.sha1
fetchArtifact commons-validator/commons-validator/1.3.1/commons-validator-1.3.1.pom
fetchArtifact commons-validator/commons-validator/1.3.1/commons-validator-1.3.1.pom.sha1
fetchArtifact commons-validator/commons-validator/1.3.1/commons-validator-1.3.1.jar
fetchArtifact commons-validator/commons-validator/1.3.1/commons-validator-1.3.1.jar.sha1
fetchArtifact commons-validator/commons-validator/1.2.0/commons-validator-1.2.0.pom
fetchArtifact commons-validator/commons-validator/1.2.0/commons-validator-1.2.0.pom.sha1
fetchArtifact commons-validator/commons-validator/1.2.0/commons-validator-1.2.0.jar
fetchArtifact commons-validator/commons-validator/1.2.0/commons-validator-1.2.0.jar.sha1
fetchArtifact dom4j/dom4j/1.1/dom4j-1.1.pom
fetchArtifact dom4j/dom4j/1.1/dom4j-1.1.pom.sha1
fetchArtifact dom4j/dom4j/1.1/dom4j-1.1.jar
fetchArtifact dom4j/dom4j/1.1/dom4j-1.1.jar.sha1
fetchArtifact sslext/sslext/1.2-0/sslext-1.2-0.pom
fetchArtifact sslext/sslext/1.2-0/sslext-1.2-0.pom.sha1
fetchArtifact sslext/sslext/1.2-0/sslext-1.2-0.jar
fetchArtifact sslext/sslext/1.2-0/sslext-1.2-0.jar.sha1
fetchArtifact antlr/antlr/2.7.2/antlr-2.7.2.pom
fetchArtifact antlr/antlr/2.7.2/antlr-2.7.2.pom.sha1
fetchArtifact antlr/antlr/2.7.2/antlr-2.7.2.jar
fetchArtifact antlr/antlr/2.7.2/antlr-2.7.2.jar.sha1
fetchArtifact commons-io/commons-io/1.4/commons-io-1.4.pom
fetchArtifact commons-io/commons-io/1.4/commons-io-1.4.pom.sha1
fetchArtifact commons-io/commons-io/1.4/commons-io-1.4.jar
fetchArtifact commons-io/commons-io/1.4/commons-io-1.4.jar.sha1
fetchArtifact commons-io/commons-io/1.3.2/commons-io-1.3.2.pom
fetchArtifact commons-io/commons-io/1.3.2/commons-io-1.3.2.pom.sha1
fetchArtifact commons-io/commons-io/1.3.2/commons-io-1.3.2.jar
fetchArtifact commons-io/commons-io/1.3.2/commons-io-1.3.2.jar.sha1
fetchArtifact commons-httpclient/commons-httpclient/3.1/commons-httpclient-3.1.pom
fetchArtifact commons-httpclient/commons-httpclient/3.1/commons-httpclient-3.1.pom.sha1
fetchArtifact commons-httpclient/commons-httpclient/3.1/commons-httpclient-3.1.jar
fetchArtifact commons-httpclient/commons-httpclient/3.1/commons-httpclient-3.1.jar.sha1
fetchArtifact asm/asm/3.3.1/asm-3.3.1.pom
fetchArtifact asm/asm/3.3.1/asm-3.3.1.pom.sha1
fetchArtifact asm/asm/3.3.1/asm-3.3.1.jar
fetchArtifact asm/asm/3.3.1/asm-3.3.1.jar.sha1
fetchArtifact asm/asm/3.2/asm-3.2.pom
fetchArtifact asm/asm/3.2/asm-3.2.pom.sha1
fetchArtifact asm/asm-parent/3.3.1/asm-parent-3.3.1.pom
fetchArtifact asm/asm-parent/3.3.1/asm-parent-3.3.1.pom.sha1
fetchArtifact asm/asm-parent/3.2/asm-parent-3.2.pom
fetchArtifact asm/asm-parent/3.2/asm-parent-3.2.pom.sha1
fetchArtifact asm/asm-commons/3.3.1/asm-commons-3.3.1.pom
fetchArtifact asm/asm-commons/3.3.1/asm-commons-3.3.1.pom.sha1
fetchArtifact asm/asm-commons/3.3.1/asm-commons-3.3.1.jar
fetchArtifact asm/asm-commons/3.3.1/asm-commons-3.3.1.jar.sha1
fetchArtifact asm/asm-commons/3.2/asm-commons-3.2.pom
fetchArtifact asm/asm-commons/3.2/asm-commons-3.2.pom.sha1
fetchArtifact asm/asm-tree/3.3.1/asm-tree-3.3.1.pom
fetchArtifact asm/asm-tree/3.3.1/asm-tree-3.3.1.pom.sha1
fetchArtifact asm/asm-tree/3.3.1/asm-tree-3.3.1.jar
fetchArtifact asm/asm-tree/3.3.1/asm-tree-3.3.1.jar.sha1
fetchArtifact asm/asm-tree/3.2/asm-tree-3.2.pom
fetchArtifact asm/asm-tree/3.2/asm-tree-3.2.pom.sha1
fetchArtifact asm/asm-analysis/3.2/asm-analysis-3.2.pom
fetchArtifact asm/asm-analysis/3.2/asm-analysis-3.2.pom.sha1
fetchArtifact asm/asm-analysis/3.2/asm-analysis-3.2.jar
fetchArtifact asm/asm-analysis/3.2/asm-analysis-3.2.jar.sha1
fetchArtifact asm/asm-util/3.2/asm-util-3.2.pom
fetchArtifact asm/asm-util/3.2/asm-util-3.2.pom.sha1
fetchArtifact asm/asm-util/3.2/asm-util-3.2.jar
fetchArtifact asm/asm-util/3.2/asm-util-3.2.jar.sha1
fetchArtifact backport-util-concurrent/backport-util-concurrent/3.1/backport-util-concurrent-3.1.pom
fetchArtifact backport-util-concurrent/backport-util-concurrent/3.1/backport-util-concurrent-3.1.pom.sha1
fetchArtifact backport-util-concurrent/backport-util-concurrent/3.1/backport-util-concurrent-3.1.jar
fetchArtifact backport-util-concurrent/backport-util-concurrent/3.1/backport-util-concurrent-3.1.jar.sha1

stopNest
