{ stdenv, fetchurl, postgresql, getopt, makeWrapper }:
stdenv.mkDerivation rec {
  pname = "ephemeralpg";
  version = "3.0";
  src = fetchurl {
    url = "http://ephemeralpg.org/code/${pname}-${version}.tar.gz";
    sha256 = "1j0g7g114ma7y7sadbng5p1ss1zsm9zpicm77qspym6565733vvh";
  };
  buildInputs = [ makeWrapper ];
  installPhase = ''
    mkdir -p $out
    PREFIX=$out make install
    wrapProgram $out/bin/pg_tmp --prefix PATH : ${stdenv.lib.makeBinPath [ postgresql getopt ]}
  '';
  meta = with stdenv.lib; {
    description = ''Run tests on an isolated, temporary PostgreSQL database.'';
    license = licenses.isc;
    homepage = "http://ephemeralpg.org/";
    platforms = platforms.all;
    maintainers = with maintainers; [ hrdinka ];
  };
}
